import { IgCollection } from "igniteui-webcomponents-core";
import { markType } from "igniteui-webcomponents-core";
import { SyncableObservableCollection$2 } from "igniteui-webcomponents-core";
import { ColumnExchanger as ColumnExchanger_internal } from './ColumnExchanger';
import { IgcColumnExchanger as IgcColumnExchanger } from './igc-column-exchanger';
export class IgcColumnExchangersCollection extends IgCollection {
    constructor(list) {
        super();
        if (!IgcColumnExchanger.$type) {
            IgcColumnExchanger.$type = markType(IgcColumnExchanger, "IgcColumnExchanger");
        }
        if (list) {
            for (let i = 0; i < list.length; i++) {
                this.add(list[i]);
            }
        }
    }
    _createInnerColl() {
        if (!IgcColumnExchanger.$type) {
            IgcColumnExchanger.$type = markType(IgcColumnExchanger, "IgcColumnExchanger");
        }
        let coll = new SyncableObservableCollection$2(IgcColumnExchanger.$type, ColumnExchanger_internal.$type, 0);
        coll.compare = (ext, int) => {
            let comp = ext;
            if (comp._implementation) {
                comp = comp._implementation;
            }
            if (comp.equals) {
                return comp.equals(int);
            }
            return comp === int;
        };
        coll.createTo = (ext) => {
            return ext._implementation;
        };
        coll.createFrom = (int) => {
            let ext = int.externalObject;
            if (!ext) {
                ext = new IgcColumnExchanger();
                if (ext) {
                    if (!int.$type && ext._implementation.setNativeElement) {
                        ext._implementation.setNativeElement(int);
                    }
                    else {
                        ext._implementation = int;
                    }
                }
            }
            return ext;
        };
        return coll;
    }
}
