import { IgcDefinitionBaseComponent } from "./igc-definition-base-component";
import { ColumnResizingSeparator } from "./ColumnResizingSeparator";
import { getAllPropertyNames, toSpinal } from "igniteui-webcomponents-core";
import { RegisterElementHelper } from "igniteui-webcomponents-core";
export let IgcColumnResizingSeparatorComponent = /*@__PURE__*/ (() => {
    class IgcColumnResizingSeparatorComponent extends IgcDefinitionBaseComponent {
        createImplementation() {
            return new ColumnResizingSeparator();
        }
        /**
                                     * @hidden
                                     */
        get i() {
            return this._implementation;
        }
        constructor() {
            super();
        }
        connectedCallback() {
            if (super["connectedCallback"]) {
                super["connectedCallback"]();
            }
            if (this.i.connectedCallback) {
                this.i.connectedCallback();
            }
            if (!this._attached) {
                this._attached = true;
                this._flushQueuedAttributes();
            }
        }
        disconnectedCallback() {
            if (super["disconnectedCallback"]) {
                super["disconnectedCallback"]();
            }
            if (this.i.disconnectedCallback) {
                this.i.disconnectedCallback();
            }
            if (this._attached) {
                this._attached = false;
            }
        }
        static get observedAttributes() {
            if (IgcColumnResizingSeparatorComponent._observedAttributesIgcColumnResizingSeparatorComponent == null) {
                let names = getAllPropertyNames(IgcColumnResizingSeparatorComponent);
                for (let i = 0; i < names.length; i++) {
                    names[i] = toSpinal(names[i]);
                }
                IgcColumnResizingSeparatorComponent._observedAttributesIgcColumnResizingSeparatorComponent = names;
            }
            return IgcColumnResizingSeparatorComponent._observedAttributesIgcColumnResizingSeparatorComponent;
        }
        static register() {
            if (!IgcColumnResizingSeparatorComponent._isElementRegistered) {
                IgcColumnResizingSeparatorComponent._isElementRegistered = true;
                RegisterElementHelper.registerElement(IgcColumnResizingSeparatorComponent.htmlTagName, IgcColumnResizingSeparatorComponent);
            }
        }
        get actualOpacity() {
            return this.i.eo;
        }
        set actualOpacity(v) {
            this.i.eo = +v;
            this._a("actualOpacity", this.i.eo);
        }
        get opacity() {
            return this.i.ep;
        }
        set opacity(v) {
            this.i.ep = +v;
            this._a("opacity", this.i.ep);
        }
    }
    IgcColumnResizingSeparatorComponent._observedAttributesIgcColumnResizingSeparatorComponent = null;
    IgcColumnResizingSeparatorComponent.htmlTagName = "igc-column-resizing-separator";
    IgcColumnResizingSeparatorComponent._isElementRegistered = false;
    return IgcColumnResizingSeparatorComponent;
})();
