import { IgcGridColumnOptionsSectionBaseComponent } from "./igc-grid-column-options-section-base-component";
import { getAllPropertyNames, toSpinal, ensureBool } from "igniteui-webcomponents-core";
export let IgcGridColumnOptionsSimpleSectionBaseComponent = /*@__PURE__*/ (() => {
    class IgcGridColumnOptionsSimpleSectionBaseComponent extends IgcGridColumnOptionsSectionBaseComponent {
        /**
                                     * @hidden
                                     */
        get i() {
            return this._implementation;
        }
        constructor() {
            super();
        }
        connectedCallback() {
            if (super["connectedCallback"]) {
                super["connectedCallback"]();
            }
            if (this.i.connectedCallback) {
                this.i.connectedCallback();
            }
            if (!this._attached) {
                this._attached = true;
                this._flushQueuedAttributes();
            }
        }
        disconnectedCallback() {
            if (super["disconnectedCallback"]) {
                super["disconnectedCallback"]();
            }
            if (this.i.disconnectedCallback) {
                this.i.disconnectedCallback();
            }
            if (this._attached) {
                this._attached = false;
            }
        }
        static get observedAttributes() {
            if (IgcGridColumnOptionsSimpleSectionBaseComponent._observedAttributesIgcGridColumnOptionsSimpleSectionBaseComponent == null) {
                let names = getAllPropertyNames(IgcGridColumnOptionsSimpleSectionBaseComponent);
                for (let i = 0; i < names.length; i++) {
                    names[i] = toSpinal(names[i]);
                }
                IgcGridColumnOptionsSimpleSectionBaseComponent._observedAttributesIgcGridColumnOptionsSimpleSectionBaseComponent = names;
            }
            return IgcGridColumnOptionsSimpleSectionBaseComponent._observedAttributesIgcGridColumnOptionsSimpleSectionBaseComponent;
        }
        get caption() {
            return this.i.by;
        }
        set caption(v) {
            this.i.by = v;
        }
        get showCaption() {
            return this.i.bw;
        }
        set showCaption(v) {
            this.i.bw = ensureBool(v);
            this._a("showCaption", this.i.bw);
        }
    }
    IgcGridColumnOptionsSimpleSectionBaseComponent._observedAttributesIgcGridColumnOptionsSimpleSectionBaseComponent = null;
    return IgcGridColumnOptionsSimpleSectionBaseComponent;
})();
