import { IgCollection } from "igniteui-webcomponents-core";
import { markType } from "igniteui-webcomponents-core";
import { SyncableObservableCollection$2 } from "igniteui-webcomponents-core";
import { GridFilterDialogViewModelGrouping as GridFilterDialogViewModelGrouping_internal } from './GridFilterDialogViewModelGrouping';
import { IgcGridFilterDialogViewModelGrouping as IgcGridFilterDialogViewModelGrouping } from './igc-grid-filter-dialog-view-model-grouping';
export class IgcGridFilterDialogViewModelGroupingLevel extends IgCollection {
    constructor(list) {
        super();
        if (!IgcGridFilterDialogViewModelGrouping.$type) {
            IgcGridFilterDialogViewModelGrouping.$type = markType(IgcGridFilterDialogViewModelGrouping, "IgcGridFilterDialogViewModelGrouping");
        }
        if (list) {
            for (let i = 0; i < list.length; i++) {
                this.add(list[i]);
            }
        }
    }
    _createInnerColl() {
        if (!IgcGridFilterDialogViewModelGrouping.$type) {
            IgcGridFilterDialogViewModelGrouping.$type = markType(IgcGridFilterDialogViewModelGrouping, "IgcGridFilterDialogViewModelGrouping");
        }
        let coll = new SyncableObservableCollection$2(IgcGridFilterDialogViewModelGrouping.$type, GridFilterDialogViewModelGrouping_internal.$type, 0);
        coll.compare = (ext, int) => {
            let comp = ext;
            if (comp._implementation) {
                comp = comp._implementation;
            }
            if (comp.equals) {
                return comp.equals(int);
            }
            return comp === int;
        };
        coll.createTo = (ext) => {
            return ext._implementation;
        };
        coll.createFrom = (int) => {
            let ext = int.externalObject;
            if (!ext) {
                ext = new IgcGridFilterDialogViewModelGrouping();
                if (ext) {
                    if (!int.$type && ext._implementation.setNativeElement) {
                        ext._implementation.setNativeElement(int);
                    }
                    else {
                        ext._implementation = int;
                    }
                }
            }
            return ext;
        };
        return coll;
    }
}
