import { GridSelectionChangedEventArgs as GridSelectionChangedEventArgs_internal } from "./GridSelectionChangedEventArgs";
/**
 * Event arguments for the SelectionChanged event.
*/
export class IgcGridSelectionChangedEventArgs {
    createImplementation() {
        return new GridSelectionChangedEventArgs_internal();
    }
    /**
     * @hidden
     */
    get i() {
        return this._implementation;
    }
    onImplementationCreated() {
    }
    constructor() {
        this._implementation = this.createImplementation();
        this._implementation.externalObject = this;
        this.onImplementationCreated();
        if (this._initializeAdapters) {
            this._initializeAdapters();
        }
    }
    _provideImplementation(i) {
        this._implementation = i;
        this._implementation.externalObject = this;
        this.onImplementationCreated();
        if (this._initializeAdapters) {
            this._initializeAdapters();
        }
    }
}
