import { IgcCellInfo } from "./igc-cell-info";
import { RowSeparatorModel as RowSeparatorModel_internal } from "./RowSeparatorModel";
/**
 * Represents backing information for the row separators.
*/
export class IgcRowSeparatorInfo extends IgcCellInfo {
    createImplementation() {
        return new RowSeparatorModel_internal();
    }
    /**
                                 * @hidden
                                 */
    get i() {
        return this._implementation;
    }
    constructor() {
        super();
    }
}
