import { SelectAllCheckboxChangedEventArgs as SelectAllCheckboxChangedEventArgs_internal } from "./SelectAllCheckboxChangedEventArgs";
import { ensureBool } from "igniteui-webcomponents-core";
export class IgcSelectAllCheckboxChangedEventArgs {
    createImplementation() {
        return new SelectAllCheckboxChangedEventArgs_internal();
    }
    /**
     * @hidden
     */
    get i() {
        return this._implementation;
    }
    onImplementationCreated() {
    }
    constructor() {
        this._implementation = this.createImplementation();
        this._implementation.externalObject = this;
        this.onImplementationCreated();
        if (this._initializeAdapters) {
            this._initializeAdapters();
        }
    }
    _provideImplementation(i) {
        this._implementation = i;
        this._implementation.externalObject = this;
        this.onImplementationCreated();
        if (this._initializeAdapters) {
            this._initializeAdapters();
        }
    }
    get isChecked() {
        return this.i.a;
    }
    set isChecked(v) {
        this.i.a = ensureBool(v);
    }
}
