import { IgcSummaryRowComponent } from "./igc-summary-row-component";
import { SummaryRowRoot } from "./SummaryRowRoot";
import { getAllPropertyNames, toSpinal } from "igniteui-webcomponents-core";
import { RegisterElementHelper } from "igniteui-webcomponents-core";
export let IgcSummaryRowRootComponent = /*@__PURE__*/ (() => {
    class IgcSummaryRowRootComponent extends IgcSummaryRowComponent {
        createImplementation() {
            return new SummaryRowRoot();
        }
        /**
                                     * @hidden
                                     */
        get i() {
            return this._implementation;
        }
        constructor() {
            super();
        }
        connectedCallback() {
            if (super["connectedCallback"]) {
                super["connectedCallback"]();
            }
            if (this.i.connectedCallback) {
                this.i.connectedCallback();
            }
            if (!this._attached) {
                this._attached = true;
                this._flushQueuedAttributes();
            }
        }
        disconnectedCallback() {
            if (super["disconnectedCallback"]) {
                super["disconnectedCallback"]();
            }
            if (this.i.disconnectedCallback) {
                this.i.disconnectedCallback();
            }
            if (this._attached) {
                this._attached = false;
            }
        }
        static get observedAttributes() {
            if (IgcSummaryRowRootComponent._observedAttributesIgcSummaryRowRootComponent == null) {
                let names = getAllPropertyNames(IgcSummaryRowRootComponent);
                for (let i = 0; i < names.length; i++) {
                    names[i] = toSpinal(names[i]);
                }
                IgcSummaryRowRootComponent._observedAttributesIgcSummaryRowRootComponent = names;
            }
            return IgcSummaryRowRootComponent._observedAttributesIgcSummaryRowRootComponent;
        }
        static register() {
            if (!IgcSummaryRowRootComponent._isElementRegistered) {
                IgcSummaryRowRootComponent._isElementRegistered = true;
                RegisterElementHelper.registerElement(IgcSummaryRowRootComponent.htmlTagName, IgcSummaryRowRootComponent);
            }
        }
    }
    IgcSummaryRowRootComponent._observedAttributesIgcSummaryRowRootComponent = null;
    IgcSummaryRowRootComponent.htmlTagName = "igc-summary-row-root";
    IgcSummaryRowRootComponent._isElementRegistered = false;
    return IgcSummaryRowRootComponent;
})();
