import { CheckedChangedEventArgs as CheckedChangedEventArgs_internal } from "./CheckedChangedEventArgs";
import { ensureBool } from "igniteui-webcomponents-core";
var IgcCheckedChangedEventArgs = /** @class */ /*@__PURE__*/ (function () {
    function IgcCheckedChangedEventArgs() {
        this._implementation = this.createImplementation();
        this._implementation.externalObject = this;
        this.onImplementationCreated();
        if (this._initializeAdapters) {
            this._initializeAdapters();
        }
    }
    IgcCheckedChangedEventArgs.prototype.createImplementation = function () {
        return new CheckedChangedEventArgs_internal();
    };
    Object.defineProperty(IgcCheckedChangedEventArgs.prototype, "i", {
        /**
         * @hidden
         */
        get: function () {
            return this._implementation;
        },
        enumerable: false,
        configurable: true
    });
    IgcCheckedChangedEventArgs.prototype.onImplementationCreated = function () {
    };
    IgcCheckedChangedEventArgs.prototype._provideImplementation = function (i) {
        this._implementation = i;
        this._implementation.externalObject = this;
        this.onImplementationCreated();
        if (this._initializeAdapters) {
            this._initializeAdapters();
        }
    };
    Object.defineProperty(IgcCheckedChangedEventArgs.prototype, "index", {
        get: function () {
            return this.i.b;
        },
        set: function (v) {
            this.i.b = +v;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(IgcCheckedChangedEventArgs.prototype, "isChecked", {
        get: function () {
            return this.i.a;
        },
        set: function (v) {
            this.i.a = ensureBool(v);
        },
        enumerable: false,
        configurable: true
    });
    return IgcCheckedChangedEventArgs;
}());
export { IgcCheckedChangedEventArgs };
