import { IgcDataGridColumnComponent } from "./igc-data-grid-column-component";
import { ColumnHiddenChangedEventArgs as ColumnHiddenChangedEventArgs_internal } from "./ColumnHiddenChangedEventArgs";
import { ensureBool } from "igniteui-webcomponents-core";
var IgcColumnHiddenChangedEventArgs = /** @class */ /*@__PURE__*/ (function () {
    function IgcColumnHiddenChangedEventArgs() {
        this._implementation = this.createImplementation();
        this._implementation.externalObject = this;
        this.onImplementationCreated();
        if (this._initializeAdapters) {
            this._initializeAdapters();
        }
    }
    IgcColumnHiddenChangedEventArgs.prototype.createImplementation = function () {
        return new ColumnHiddenChangedEventArgs_internal();
    };
    Object.defineProperty(IgcColumnHiddenChangedEventArgs.prototype, "i", {
        /**
         * @hidden
         */
        get: function () {
            return this._implementation;
        },
        enumerable: false,
        configurable: true
    });
    IgcColumnHiddenChangedEventArgs.prototype.onImplementationCreated = function () {
    };
    IgcColumnHiddenChangedEventArgs.prototype._provideImplementation = function (i) {
        this._implementation = i;
        this._implementation.externalObject = this;
        this.onImplementationCreated();
        if (this._initializeAdapters) {
            this._initializeAdapters();
        }
    };
    Object.defineProperty(IgcColumnHiddenChangedEventArgs.prototype, "column", {
        get: function () {
            var r = this.i.a;
            if (r == null) {
                return null;
            }
            if (!r.externalObject) {
                var e = IgcDataGridColumnComponent._createFromInternal(r);
                if (e) {
                    e._implementation = r;
                }
                r.externalObject = e;
            }
            return r.externalObject;
        },
        set: function (v) {
            v == null ? this.i.a = null : this.i.a = v.i;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(IgcColumnHiddenChangedEventArgs.prototype, "isHidden", {
        get: function () {
            return this.i.b;
        },
        set: function (v) {
            this.i.b = ensureBool(v);
        },
        enumerable: false,
        configurable: true
    });
    return IgcColumnHiddenChangedEventArgs;
}());
export { IgcColumnHiddenChangedEventArgs };
