import { __extends } from "tslib";
import { IgcDefinitionBaseComponent } from "./igc-definition-base-component";
import { ColumnMovingSeparator } from "./ColumnMovingSeparator";
import { getAllPropertyNames, toSpinal } from "igniteui-webcomponents-core";
import { RegisterElementHelper } from "igniteui-webcomponents-core";
var IgcColumnMovingSeparatorComponent = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(IgcColumnMovingSeparatorComponent, _super);
    function IgcColumnMovingSeparatorComponent() {
        return _super.call(this) || this;
    }
    IgcColumnMovingSeparatorComponent.prototype.createImplementation = function () {
        return new ColumnMovingSeparator();
    };
    Object.defineProperty(IgcColumnMovingSeparatorComponent.prototype, "i", {
        /**
                                     * @hidden
                                     */
        get: function () {
            return this._implementation;
        },
        enumerable: false,
        configurable: true
    });
    IgcColumnMovingSeparatorComponent.prototype.connectedCallback = function () {
        if (_super.prototype["connectedCallback"]) {
            _super.prototype["connectedCallback"].call(this);
        }
        if (this.i.connectedCallback) {
            this.i.connectedCallback();
        }
        if (!this._attached) {
            this._attached = true;
            this._flushQueuedAttributes();
        }
    };
    IgcColumnMovingSeparatorComponent.prototype.disconnectedCallback = function () {
        if (_super.prototype["disconnectedCallback"]) {
            _super.prototype["disconnectedCallback"].call(this);
        }
        if (this.i.disconnectedCallback) {
            this.i.disconnectedCallback();
        }
        if (this._attached) {
            this._attached = false;
        }
    };
    Object.defineProperty(IgcColumnMovingSeparatorComponent, "observedAttributes", {
        get: function () {
            if (IgcColumnMovingSeparatorComponent._observedAttributesIgcColumnMovingSeparatorComponent == null) {
                var names = getAllPropertyNames(IgcColumnMovingSeparatorComponent);
                for (var i = 0; i < names.length; i++) {
                    names[i] = toSpinal(names[i]);
                }
                IgcColumnMovingSeparatorComponent._observedAttributesIgcColumnMovingSeparatorComponent = names;
            }
            return IgcColumnMovingSeparatorComponent._observedAttributesIgcColumnMovingSeparatorComponent;
        },
        enumerable: false,
        configurable: true
    });
    IgcColumnMovingSeparatorComponent.register = function () {
        if (!IgcColumnMovingSeparatorComponent._isElementRegistered) {
            IgcColumnMovingSeparatorComponent._isElementRegistered = true;
            RegisterElementHelper.registerElement(IgcColumnMovingSeparatorComponent.htmlTagName, IgcColumnMovingSeparatorComponent);
        }
    };
    Object.defineProperty(IgcColumnMovingSeparatorComponent.prototype, "separatorWidth", {
        /**
         * Gets or sets the separator width for this column.
        */
        get: function () {
            return this.i.er;
        },
        set: function (v) {
            this.i.er = +v;
            this._a("separatorWidth", this.i.er);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(IgcColumnMovingSeparatorComponent.prototype, "actualOpacity", {
        get: function () {
            return this.i.eo;
        },
        set: function (v) {
            this.i.eo = +v;
            this._a("actualOpacity", this.i.eo);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(IgcColumnMovingSeparatorComponent.prototype, "opacity", {
        get: function () {
            return this.i.ep;
        },
        set: function (v) {
            this.i.ep = +v;
            this._a("opacity", this.i.ep);
        },
        enumerable: false,
        configurable: true
    });
    IgcColumnMovingSeparatorComponent._observedAttributesIgcColumnMovingSeparatorComponent = null;
    IgcColumnMovingSeparatorComponent.htmlTagName = "igc-column-moving-separator";
    IgcColumnMovingSeparatorComponent._isElementRegistered = false;
    return IgcColumnMovingSeparatorComponent;
}(IgcDefinitionBaseComponent));
export { IgcColumnMovingSeparatorComponent };
