import { __extends } from "tslib";
import { IgCollection } from "igniteui-webcomponents-core";
import { markType } from "igniteui-webcomponents-core";
import { SyncableObservableCollection$2 } from "igniteui-webcomponents-core";
import { ColumnPropertySetter as ColumnPropertySetter_internal } from './ColumnPropertySetter';
import { IgcColumnPropertySetter as IgcColumnPropertySetter } from './igc-column-property-setter';
var IgcColumnPropertySettersCollection = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(IgcColumnPropertySettersCollection, _super);
    function IgcColumnPropertySettersCollection(list) {
        var _this = _super.call(this) || this;
        if (!IgcColumnPropertySetter.$type) {
            IgcColumnPropertySetter.$type = markType(IgcColumnPropertySetter, "IgcColumnPropertySetter");
        }
        if (list) {
            for (var i = 0; i < list.length; i++) {
                _this.add(list[i]);
            }
        }
        return _this;
    }
    IgcColumnPropertySettersCollection.prototype._createInnerColl = function () {
        if (!IgcColumnPropertySetter.$type) {
            IgcColumnPropertySetter.$type = markType(IgcColumnPropertySetter, "IgcColumnPropertySetter");
        }
        var coll = new SyncableObservableCollection$2(IgcColumnPropertySetter.$type, ColumnPropertySetter_internal.$type, 0);
        coll.compare = function (ext, int) {
            var comp = ext;
            if (comp._implementation) {
                comp = comp._implementation;
            }
            if (comp.equals) {
                return comp.equals(int);
            }
            return comp === int;
        };
        coll.createTo = function (ext) {
            return ext._implementation;
        };
        coll.createFrom = function (int) {
            var ext = int.externalObject;
            if (!ext) {
                ext = new IgcColumnPropertySetter();
                if (ext) {
                    if (!int.$type && ext._implementation.setNativeElement) {
                        ext._implementation.setNativeElement(int);
                    }
                    else {
                        ext._implementation = int;
                    }
                }
            }
            return ext;
        };
        return coll;
    };
    return IgcColumnPropertySettersCollection;
}(IgCollection));
export { IgcColumnPropertySettersCollection };
