import { __extends } from "tslib";
import { IgcDefinitionBaseComponent } from "./igc-definition-base-component";
import { ColumnResizingSeparator } from "./ColumnResizingSeparator";
import { getAllPropertyNames, toSpinal } from "igniteui-webcomponents-core";
import { RegisterElementHelper } from "igniteui-webcomponents-core";
var IgcColumnResizingSeparatorComponent = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(IgcColumnResizingSeparatorComponent, _super);
    function IgcColumnResizingSeparatorComponent() {
        return _super.call(this) || this;
    }
    IgcColumnResizingSeparatorComponent.prototype.createImplementation = function () {
        return new ColumnResizingSeparator();
    };
    Object.defineProperty(IgcColumnResizingSeparatorComponent.prototype, "i", {
        /**
                                     * @hidden
                                     */
        get: function () {
            return this._implementation;
        },
        enumerable: false,
        configurable: true
    });
    IgcColumnResizingSeparatorComponent.prototype.connectedCallback = function () {
        if (_super.prototype["connectedCallback"]) {
            _super.prototype["connectedCallback"].call(this);
        }
        if (this.i.connectedCallback) {
            this.i.connectedCallback();
        }
        if (!this._attached) {
            this._attached = true;
            this._flushQueuedAttributes();
        }
    };
    IgcColumnResizingSeparatorComponent.prototype.disconnectedCallback = function () {
        if (_super.prototype["disconnectedCallback"]) {
            _super.prototype["disconnectedCallback"].call(this);
        }
        if (this.i.disconnectedCallback) {
            this.i.disconnectedCallback();
        }
        if (this._attached) {
            this._attached = false;
        }
    };
    Object.defineProperty(IgcColumnResizingSeparatorComponent, "observedAttributes", {
        get: function () {
            if (IgcColumnResizingSeparatorComponent._observedAttributesIgcColumnResizingSeparatorComponent == null) {
                var names = getAllPropertyNames(IgcColumnResizingSeparatorComponent);
                for (var i = 0; i < names.length; i++) {
                    names[i] = toSpinal(names[i]);
                }
                IgcColumnResizingSeparatorComponent._observedAttributesIgcColumnResizingSeparatorComponent = names;
            }
            return IgcColumnResizingSeparatorComponent._observedAttributesIgcColumnResizingSeparatorComponent;
        },
        enumerable: false,
        configurable: true
    });
    IgcColumnResizingSeparatorComponent.register = function () {
        if (!IgcColumnResizingSeparatorComponent._isElementRegistered) {
            IgcColumnResizingSeparatorComponent._isElementRegistered = true;
            RegisterElementHelper.registerElement(IgcColumnResizingSeparatorComponent.htmlTagName, IgcColumnResizingSeparatorComponent);
        }
    };
    Object.defineProperty(IgcColumnResizingSeparatorComponent.prototype, "actualOpacity", {
        get: function () {
            return this.i.eo;
        },
        set: function (v) {
            this.i.eo = +v;
            this._a("actualOpacity", this.i.eo);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(IgcColumnResizingSeparatorComponent.prototype, "opacity", {
        get: function () {
            return this.i.ep;
        },
        set: function (v) {
            this.i.ep = +v;
            this._a("opacity", this.i.ep);
        },
        enumerable: false,
        configurable: true
    });
    IgcColumnResizingSeparatorComponent._observedAttributesIgcColumnResizingSeparatorComponent = null;
    IgcColumnResizingSeparatorComponent.htmlTagName = "igc-column-resizing-separator";
    IgcColumnResizingSeparatorComponent._isElementRegistered = false;
    return IgcColumnResizingSeparatorComponent;
}(IgcDefinitionBaseComponent));
export { IgcColumnResizingSeparatorComponent };
