import { FormatGroupTextEventArgs as FormatGroupTextEventArgs_internal } from "./FormatGroupTextEventArgs";
var IgcFormatGroupTextEventArgs = /** @class */ /*@__PURE__*/ (function () {
    function IgcFormatGroupTextEventArgs() {
        this._implementation = this.createImplementation();
        this._implementation.externalObject = this;
        this.onImplementationCreated();
        if (this._initializeAdapters) {
            this._initializeAdapters();
        }
    }
    IgcFormatGroupTextEventArgs.prototype.createImplementation = function () {
        return new FormatGroupTextEventArgs_internal();
    };
    Object.defineProperty(IgcFormatGroupTextEventArgs.prototype, "i", {
        /**
         * @hidden
         */
        get: function () {
            return this._implementation;
        },
        enumerable: false,
        configurable: true
    });
    IgcFormatGroupTextEventArgs.prototype.onImplementationCreated = function () {
    };
    IgcFormatGroupTextEventArgs.prototype._provideImplementation = function (i) {
        this._implementation = i;
        this._implementation.externalObject = this;
        this.onImplementationCreated();
        if (this._initializeAdapters) {
            this._initializeAdapters();
        }
    };
    Object.defineProperty(IgcFormatGroupTextEventArgs.prototype, "groupName", {
        /**
         * Gets the group name.
        */
        get: function () {
            return this.i.d;
        },
        set: function (v) {
            this.i.d = v;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(IgcFormatGroupTextEventArgs.prototype, "groupValue", {
        /**
         * Gets the original value before formatting.
        */
        get: function () {
            return this.i.a;
        },
        set: function (v) {
            this.i.a = v;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(IgcFormatGroupTextEventArgs.prototype, "formattedValue", {
        /**
         * Gets the group value as text, formatted based on the GroupDescription's ValueFormat.
        */
        get: function () {
            return this.i.c;
        },
        set: function (v) {
            this.i.c = v;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(IgcFormatGroupTextEventArgs.prototype, "formattedText", {
        /**
         * Gets or sets the final text that will be displayed in the group header.
        */
        get: function () {
            return this.i.b;
        },
        set: function (v) {
            this.i.b = v;
        },
        enumerable: false,
        configurable: true
    });
    return IgcFormatGroupTextEventArgs;
}());
export { IgcFormatGroupTextEventArgs };
