/**
 * Event arguments for the DataCommitting event.
*/
var IgcGridDataCommittingEventArgs = /** @class */ /*@__PURE__*/ (function () {
    function IgcGridDataCommittingEventArgs() {
    }
    Object.defineProperty(IgcGridDataCommittingEventArgs.prototype, "i", {
        /**
         * @hidden
         */
        get: function () {
            return this._implementation;
        },
        enumerable: false,
        configurable: true
    });
    IgcGridDataCommittingEventArgs.prototype.onImplementationCreated = function () {
    };
    IgcGridDataCommittingEventArgs.prototype._provideImplementation = function (i) {
        this._implementation = i;
        this._implementation.externalObject = this;
        this.onImplementationCreated();
        if (this._initializeAdapters) {
            this._initializeAdapters();
        }
    };
    Object.defineProperty(IgcGridDataCommittingEventArgs.prototype, "changes", {
        /**
         * Gets a list of changes that are about to be committed.
        */
        get: function () {
            return this.i.a;
        },
        set: function (v) {
            if (v && !Array.isArray(v) && typeof (v) == "string") {
                var re = /\s*(?:,|\s|$)\s*/gm;
                v = v.split(re);
            }
            this.i.a = v;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(IgcGridDataCommittingEventArgs.prototype, "commitID", {
        /**
         * The ID for the commit. Use this as the argument for the AcceptCommit or RejectCommit methods.
        */
        get: function () {
            return this.i.b;
        },
        set: function (v) {
            this.i.b = +v;
        },
        enumerable: false,
        configurable: true
    });
    return IgcGridDataCommittingEventArgs;
}());
export { IgcGridDataCommittingEventArgs };
