import { GridFilterDialogViewModelRow as GridFilterDialogViewModelRow_internal } from "./GridFilterDialogViewModelRow";
var IgcGridFilterDialogViewModelRow = /** @class */ /*@__PURE__*/ (function () {
    function IgcGridFilterDialogViewModelRow() {
        this._implementation = this.createImplementation();
        this._implementation.externalObject = this;
        this.onImplementationCreated();
        if (this._initializeAdapters) {
            this._initializeAdapters();
        }
    }
    IgcGridFilterDialogViewModelRow.prototype.createImplementation = function () {
        return new GridFilterDialogViewModelRow_internal();
    };
    Object.defineProperty(IgcGridFilterDialogViewModelRow.prototype, "i", {
        /**
         * @hidden
         */
        get: function () {
            return this._implementation;
        },
        enumerable: false,
        configurable: true
    });
    IgcGridFilterDialogViewModelRow.prototype.onImplementationCreated = function () {
    };
    IgcGridFilterDialogViewModelRow.prototype._provideImplementation = function (i) {
        this._implementation = i;
        this._implementation.externalObject = this;
        this.onImplementationCreated();
        if (this._initializeAdapters) {
            this._initializeAdapters();
        }
    };
    Object.defineProperty(IgcGridFilterDialogViewModelRow.prototype, "operatorTypes", {
        get: function () {
            return this.i.f;
        },
        set: function (v) {
            if (v && !Array.isArray(v) && typeof (v) == "string") {
                var re = /\s*(?:,|\s|$)\s*/gm;
                v = v.split(re);
            }
            this.i.f = v;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(IgcGridFilterDialogViewModelRow.prototype, "operators", {
        get: function () {
            return this.i.e;
        },
        set: function (v) {
            if (v && !Array.isArray(v) && typeof (v) == "string") {
                var re = /\s*(?:,|\s|$)\s*/gm;
                v = v.split(re);
            }
            this.i.e = v;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(IgcGridFilterDialogViewModelRow.prototype, "currentOperator", {
        get: function () {
            return this.i.l;
        },
        set: function (v) {
            this.i.l = v;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(IgcGridFilterDialogViewModelRow.prototype, "operandNumber", {
        get: function () {
            return this.i.d;
        },
        set: function (v) {
            if (v && !Array.isArray(v) && typeof (v) == "string") {
                var re = /\s*(?:,|\s|$)\s*/gm;
                v = v.split(re);
            }
            this.i.d = v;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(IgcGridFilterDialogViewModelRow.prototype, "operand1", {
        get: function () {
            return this.i.i;
        },
        set: function (v) {
            this.i.i = v;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(IgcGridFilterDialogViewModelRow.prototype, "operand2", {
        get: function () {
            return this.i.j;
        },
        set: function (v) {
            this.i.j = v;
        },
        enumerable: false,
        configurable: true
    });
    IgcGridFilterDialogViewModelRow.prototype.findByName = function (name) {
        if (this.findEphemera) {
            if (name && name.indexOf("@@e:") == 0) {
                return this.findEphemera(name);
            }
        }
        return null;
    };
    return IgcGridFilterDialogViewModelRow;
}());
export { IgcGridFilterDialogViewModelRow };
