import { IgcFilterExpressionCollection } from "igniteui-webcomponents-core";
import { GridFilterExpressionsEventArgs as GridFilterExpressionsEventArgs_internal } from "./GridFilterExpressionsEventArgs";
var IgcGridFilterExpressionsEventArgs = /** @class */ /*@__PURE__*/ (function () {
    function IgcGridFilterExpressionsEventArgs() {
        this._implementation = this.createImplementation();
        this._implementation.externalObject = this;
        this.onImplementationCreated();
        if (this._initializeAdapters) {
            this._initializeAdapters();
        }
    }
    IgcGridFilterExpressionsEventArgs.prototype.createImplementation = function () {
        return new GridFilterExpressionsEventArgs_internal();
    };
    Object.defineProperty(IgcGridFilterExpressionsEventArgs.prototype, "i", {
        /**
         * @hidden
         */
        get: function () {
            return this._implementation;
        },
        enumerable: false,
        configurable: true
    });
    IgcGridFilterExpressionsEventArgs.prototype.onImplementationCreated = function () {
    };
    IgcGridFilterExpressionsEventArgs.prototype._provideImplementation = function (i) {
        this._implementation = i;
        this._implementation.externalObject = this;
        this.onImplementationCreated();
        if (this._initializeAdapters) {
            this._initializeAdapters();
        }
    };
    Object.defineProperty(IgcGridFilterExpressionsEventArgs.prototype, "filterExpressions", {
        get: function () {
            var r = this.i.a;
            if (r == null) {
                return null;
            }
            if (!r.externalObject) {
                var e = new IgcFilterExpressionCollection();
                if (r.$type) {
                    e._implementation = r;
                }
                else {
                    if (e.i.setNativeElement) {
                        e.i.setNativeElement(r);
                    }
                }
                r.externalObject = e;
            }
            return r.externalObject;
        },
        set: function (v) {
            v == null ? this.i.a = null : this.i.a = v.i;
        },
        enumerable: false,
        configurable: true
    });
    return IgcGridFilterExpressionsEventArgs;
}());
export { IgcGridFilterExpressionsEventArgs };
