import { __extends } from "tslib";
import { IgCollection } from "igniteui-webcomponents-core";
import { markType } from "igniteui-webcomponents-core";
import { SyncableObservableCollection$2 } from "igniteui-webcomponents-core";
import { CellKey as CellKey_internal } from './CellKey';
import { IgcCellKey as IgcCellKey } from './igc-cell-key';
var IgcGridSelectedCellsCollection = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(IgcGridSelectedCellsCollection, _super);
    function IgcGridSelectedCellsCollection(list) {
        var _this = _super.call(this) || this;
        if (!IgcCellKey.$type) {
            IgcCellKey.$type = markType(IgcCellKey, "IgcCellKey");
        }
        if (list) {
            for (var i = 0; i < list.length; i++) {
                _this.add(list[i]);
            }
        }
        return _this;
    }
    IgcGridSelectedCellsCollection.prototype._createInnerColl = function () {
        if (!IgcCellKey.$type) {
            IgcCellKey.$type = markType(IgcCellKey, "IgcCellKey");
        }
        var coll = new SyncableObservableCollection$2(IgcCellKey.$type, CellKey_internal.$type, 0);
        coll.compare = function (ext, int) {
            var comp = ext;
            if (comp._implementation) {
                comp = comp._implementation;
            }
            if (comp.equals) {
                return comp.equals(int);
            }
            return comp === int;
        };
        coll.createTo = function (ext) {
            return ext._implementation;
        };
        coll.createFrom = function (int) {
            var ext = int.externalObject;
            if (!ext) {
                ext = new IgcCellKey();
                if (ext) {
                    if (!int.$type && ext._implementation.setNativeElement) {
                        ext._implementation.setNativeElement(int);
                    }
                    else {
                        ext._implementation = int;
                    }
                }
            }
            return ext;
        };
        return coll;
    };
    return IgcGridSelectedCellsCollection;
}(IgCollection));
export { IgcGridSelectedCellsCollection };
