import { __extends } from "tslib";
import { IgCollection } from "igniteui-webcomponents-core";
import { markType } from "igniteui-webcomponents-core";
import { SyncableObservableCollection$2 } from "igniteui-webcomponents-core";
import { PrimaryKeyValue as PrimaryKeyValue_internal } from './PrimaryKeyValue';
import { IgcPrimaryKeyValue as IgcPrimaryKeyValue } from './igc-primary-key-value';
var IgcGridSelectedKeysCollection = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(IgcGridSelectedKeysCollection, _super);
    function IgcGridSelectedKeysCollection(list) {
        var _this = _super.call(this) || this;
        if (!IgcPrimaryKeyValue.$type) {
            IgcPrimaryKeyValue.$type = markType(IgcPrimaryKeyValue, "IgcPrimaryKeyValue");
        }
        if (list) {
            for (var i = 0; i < list.length; i++) {
                _this.add(list[i]);
            }
        }
        return _this;
    }
    IgcGridSelectedKeysCollection.prototype._createInnerColl = function () {
        if (!IgcPrimaryKeyValue.$type) {
            IgcPrimaryKeyValue.$type = markType(IgcPrimaryKeyValue, "IgcPrimaryKeyValue");
        }
        var coll = new SyncableObservableCollection$2(IgcPrimaryKeyValue.$type, PrimaryKeyValue_internal.$type, 0);
        coll.compare = function (ext, int) {
            var comp = ext;
            if (comp._implementation) {
                comp = comp._implementation;
            }
            if (comp.equals) {
                return comp.equals(int);
            }
            return comp === int;
        };
        coll.createTo = function (ext) {
            return ext._implementation;
        };
        coll.createFrom = function (int) {
            var ext = int.externalObject;
            if (!ext) {
                ext = new IgcPrimaryKeyValue();
                if (ext) {
                    if (!int.$type && ext._implementation.setNativeElement) {
                        ext._implementation.setNativeElement(int);
                    }
                    else {
                        ext._implementation = int;
                    }
                }
            }
            return ext;
        };
        return coll;
    };
    return IgcGridSelectedKeysCollection;
}(IgCollection));
export { IgcGridSelectedKeysCollection };
