import { GridSelectionChangedEventArgs as GridSelectionChangedEventArgs_internal } from "./GridSelectionChangedEventArgs";
/**
 * Event arguments for the SelectionChanged event.
*/
var IgcGridSelectionChangedEventArgs = /** @class */ /*@__PURE__*/ (function () {
    function IgcGridSelectionChangedEventArgs() {
        this._implementation = this.createImplementation();
        this._implementation.externalObject = this;
        this.onImplementationCreated();
        if (this._initializeAdapters) {
            this._initializeAdapters();
        }
    }
    IgcGridSelectionChangedEventArgs.prototype.createImplementation = function () {
        return new GridSelectionChangedEventArgs_internal();
    };
    Object.defineProperty(IgcGridSelectionChangedEventArgs.prototype, "i", {
        /**
         * @hidden
         */
        get: function () {
            return this._implementation;
        },
        enumerable: false,
        configurable: true
    });
    IgcGridSelectionChangedEventArgs.prototype.onImplementationCreated = function () {
    };
    IgcGridSelectionChangedEventArgs.prototype._provideImplementation = function (i) {
        this._implementation = i;
        this._implementation.externalObject = this;
        this.onImplementationCreated();
        if (this._initializeAdapters) {
            this._initializeAdapters();
        }
    };
    return IgcGridSelectionChangedEventArgs;
}());
export { IgcGridSelectionChangedEventArgs };
