import { IgcColumnSummaryDescriptionCollection } from "./igc-column-summary-description-collection";
import { GridSummaryDescriptionsChangedEventArgs as GridSummaryDescriptionsChangedEventArgs_internal } from "./GridSummaryDescriptionsChangedEventArgs";
/**
 * Information about the current summaries applied to the grid.
*/
var IgcGridSummaryDescriptionsChangedEventArgs = /** @class */ /*@__PURE__*/ (function () {
    function IgcGridSummaryDescriptionsChangedEventArgs() {
        this._implementation = this.createImplementation();
        this._implementation.externalObject = this;
        this.onImplementationCreated();
        if (this._initializeAdapters) {
            this._initializeAdapters();
        }
    }
    IgcGridSummaryDescriptionsChangedEventArgs.prototype.createImplementation = function () {
        return new GridSummaryDescriptionsChangedEventArgs_internal();
    };
    Object.defineProperty(IgcGridSummaryDescriptionsChangedEventArgs.prototype, "i", {
        /**
         * @hidden
         */
        get: function () {
            return this._implementation;
        },
        enumerable: false,
        configurable: true
    });
    IgcGridSummaryDescriptionsChangedEventArgs.prototype.onImplementationCreated = function () {
    };
    IgcGridSummaryDescriptionsChangedEventArgs.prototype._provideImplementation = function (i) {
        this._implementation = i;
        this._implementation.externalObject = this;
        this.onImplementationCreated();
        if (this._initializeAdapters) {
            this._initializeAdapters();
        }
    };
    Object.defineProperty(IgcGridSummaryDescriptionsChangedEventArgs.prototype, "summaryDescriptions", {
        get: function () {
            var r = this.i.summaryDescriptions;
            if (r == null) {
                return null;
            }
            if (!r.externalObject) {
                var e = new IgcColumnSummaryDescriptionCollection();
                if (r.$type) {
                    e._implementation = r;
                }
                else {
                    if (e.i.setNativeElement) {
                        e.i.setNativeElement(r);
                    }
                }
                r.externalObject = e;
            }
            return r.externalObject;
        },
        set: function (v) {
            v == null ? this.i.summaryDescriptions = null : this.i.summaryDescriptions = v.i;
        },
        enumerable: false,
        configurable: true
    });
    return IgcGridSummaryDescriptionsChangedEventArgs;
}());
export { IgcGridSummaryDescriptionsChangedEventArgs };
