import { __extends } from "tslib";
import { IgCollection } from "igniteui-webcomponents-core";
import { markType } from "igniteui-webcomponents-core";
import { SyncableObservableCollection$2 } from "igniteui-webcomponents-core";
import { PropertyEditorPropertyDescription as PropertyEditorPropertyDescription_internal } from "igniteui-webcomponents-layouts";
import { IgcPropertyEditorPropertyDescriptionComponent as IgcPropertyEditorPropertyDescriptionComponent } from "igniteui-webcomponents-layouts";
var IgcHorizontalPropertyEditorDataSource = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(IgcHorizontalPropertyEditorDataSource, _super);
    function IgcHorizontalPropertyEditorDataSource(list) {
        var _this = _super.call(this) || this;
        if (!IgcPropertyEditorPropertyDescriptionComponent.$type) {
            IgcPropertyEditorPropertyDescriptionComponent.$type = markType(IgcPropertyEditorPropertyDescriptionComponent, "IgcPropertyEditorPropertyDescriptionComponent");
        }
        if (list) {
            for (var i = 0; i < list.length; i++) {
                _this.add(list[i]);
            }
        }
        return _this;
    }
    IgcHorizontalPropertyEditorDataSource.prototype._createInnerColl = function () {
        if (!IgcPropertyEditorPropertyDescriptionComponent.$type) {
            IgcPropertyEditorPropertyDescriptionComponent.$type = markType(IgcPropertyEditorPropertyDescriptionComponent, "IgcPropertyEditorPropertyDescriptionComponent");
        }
        var coll = new SyncableObservableCollection$2(IgcPropertyEditorPropertyDescriptionComponent.$type, PropertyEditorPropertyDescription_internal.$type, 0);
        coll.compare = function (ext, int) {
            var comp = ext;
            if (comp._implementation) {
                comp = comp._implementation;
            }
            if (comp.equals) {
                return comp.equals(int);
            }
            return comp === int;
        };
        coll.createTo = function (ext) {
            return ext._implementation;
        };
        coll.createFrom = function (int) {
            var ext = int.externalObject;
            if (!ext) {
                ext = new IgcPropertyEditorPropertyDescriptionComponent();
                if (ext) {
                    if (!int.$type && ext._implementation.setNativeElement) {
                        ext._implementation.setNativeElement(int);
                    }
                    else {
                        ext._implementation = int;
                    }
                }
            }
            return ext;
        };
        return coll;
    };
    return IgcHorizontalPropertyEditorDataSource;
}(IgCollection));
export { IgcHorizontalPropertyEditorDataSource };
