import { __extends } from "tslib";
import { IgcDefinitionBaseComponent } from "./igc-definition-base-component";
import { PinnedAreaSeparator } from "./PinnedAreaSeparator";
import { getAllPropertyNames, toSpinal } from "igniteui-webcomponents-core";
import { RegisterElementHelper } from "igniteui-webcomponents-core";
var IgcPinnedAreaSeparatorComponent = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(IgcPinnedAreaSeparatorComponent, _super);
    function IgcPinnedAreaSeparatorComponent() {
        return _super.call(this) || this;
    }
    IgcPinnedAreaSeparatorComponent.prototype.createImplementation = function () {
        return new PinnedAreaSeparator();
    };
    Object.defineProperty(IgcPinnedAreaSeparatorComponent.prototype, "i", {
        /**
                                     * @hidden
                                     */
        get: function () {
            return this._implementation;
        },
        enumerable: false,
        configurable: true
    });
    IgcPinnedAreaSeparatorComponent.prototype.connectedCallback = function () {
        if (_super.prototype["connectedCallback"]) {
            _super.prototype["connectedCallback"].call(this);
        }
        if (this.i.connectedCallback) {
            this.i.connectedCallback();
        }
        if (!this._attached) {
            this._attached = true;
            this._flushQueuedAttributes();
        }
    };
    IgcPinnedAreaSeparatorComponent.prototype.disconnectedCallback = function () {
        if (_super.prototype["disconnectedCallback"]) {
            _super.prototype["disconnectedCallback"].call(this);
        }
        if (this.i.disconnectedCallback) {
            this.i.disconnectedCallback();
        }
        if (this._attached) {
            this._attached = false;
        }
    };
    Object.defineProperty(IgcPinnedAreaSeparatorComponent, "observedAttributes", {
        get: function () {
            if (IgcPinnedAreaSeparatorComponent._observedAttributesIgcPinnedAreaSeparatorComponent == null) {
                var names = getAllPropertyNames(IgcPinnedAreaSeparatorComponent);
                for (var i = 0; i < names.length; i++) {
                    names[i] = toSpinal(names[i]);
                }
                IgcPinnedAreaSeparatorComponent._observedAttributesIgcPinnedAreaSeparatorComponent = names;
            }
            return IgcPinnedAreaSeparatorComponent._observedAttributesIgcPinnedAreaSeparatorComponent;
        },
        enumerable: false,
        configurable: true
    });
    IgcPinnedAreaSeparatorComponent.register = function () {
        if (!IgcPinnedAreaSeparatorComponent._isElementRegistered) {
            IgcPinnedAreaSeparatorComponent._isElementRegistered = true;
            RegisterElementHelper.registerElement(IgcPinnedAreaSeparatorComponent.htmlTagName, IgcPinnedAreaSeparatorComponent);
        }
    };
    IgcPinnedAreaSeparatorComponent._observedAttributesIgcPinnedAreaSeparatorComponent = null;
    IgcPinnedAreaSeparatorComponent.htmlTagName = "igc-pinned-area-separator";
    IgcPinnedAreaSeparatorComponent._isElementRegistered = false;
    return IgcPinnedAreaSeparatorComponent;
}(IgcDefinitionBaseComponent));
export { IgcPinnedAreaSeparatorComponent };
