import { ResponsiveStateEnteredEventArgs as ResponsiveStateEnteredEventArgs_internal } from "./ResponsiveStateEnteredEventArgs";
/**
 * Information about the entered action.
*/
var IgcResponsiveStateEnteredEventArgs = /** @class */ /*@__PURE__*/ (function () {
    function IgcResponsiveStateEnteredEventArgs() {
        this._implementation = this.createImplementation();
        this._implementation.externalObject = this;
        this.onImplementationCreated();
        if (this._initializeAdapters) {
            this._initializeAdapters();
        }
    }
    IgcResponsiveStateEnteredEventArgs.prototype.createImplementation = function () {
        return new ResponsiveStateEnteredEventArgs_internal();
    };
    Object.defineProperty(IgcResponsiveStateEnteredEventArgs.prototype, "i", {
        /**
         * @hidden
         */
        get: function () {
            return this._implementation;
        },
        enumerable: false,
        configurable: true
    });
    IgcResponsiveStateEnteredEventArgs.prototype.onImplementationCreated = function () {
    };
    IgcResponsiveStateEnteredEventArgs.prototype._provideImplementation = function (i) {
        this._implementation = i;
        this._implementation.externalObject = this;
        this.onImplementationCreated();
        if (this._initializeAdapters) {
            this._initializeAdapters();
        }
    };
    return IgcResponsiveStateEnteredEventArgs;
}());
export { IgcResponsiveStateEnteredEventArgs };
