import { ResponsiveStateEnteringEventArgs as ResponsiveStateEnteringEventArgs_internal } from "./ResponsiveStateEnteringEventArgs";
/**
 * Information about the entering action.
*/
var IgcResponsiveStateEnteringEventArgs = /** @class */ /*@__PURE__*/ (function () {
    function IgcResponsiveStateEnteringEventArgs() {
        this._implementation = this.createImplementation();
        this._implementation.externalObject = this;
        this.onImplementationCreated();
        if (this._initializeAdapters) {
            this._initializeAdapters();
        }
    }
    IgcResponsiveStateEnteringEventArgs.prototype.createImplementation = function () {
        return new ResponsiveStateEnteringEventArgs_internal();
    };
    Object.defineProperty(IgcResponsiveStateEnteringEventArgs.prototype, "i", {
        /**
         * @hidden
         */
        get: function () {
            return this._implementation;
        },
        enumerable: false,
        configurable: true
    });
    IgcResponsiveStateEnteringEventArgs.prototype.onImplementationCreated = function () {
    };
    IgcResponsiveStateEnteringEventArgs.prototype._provideImplementation = function (i) {
        this._implementation = i;
        this._implementation.externalObject = this;
        this.onImplementationCreated();
        if (this._initializeAdapters) {
            this._initializeAdapters();
        }
    };
    return IgcResponsiveStateEnteringEventArgs;
}());
export { IgcResponsiveStateEnteringEventArgs };
