import { __extends } from "tslib";
import { IgcDefinitionBaseComponent } from "./igc-definition-base-component";
import { SectionFooter } from "./SectionFooter";
import { getAllPropertyNames, toSpinal } from "igniteui-webcomponents-core";
import { RegisterElementHelper } from "igniteui-webcomponents-core";
/**
 * Used to configure the appearance of the section footer cells.
*/
var IgcSectionFooterComponent = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(IgcSectionFooterComponent, _super);
    function IgcSectionFooterComponent() {
        return _super.call(this) || this;
    }
    IgcSectionFooterComponent.prototype.createImplementation = function () {
        return new SectionFooter();
    };
    Object.defineProperty(IgcSectionFooterComponent.prototype, "i", {
        /**
                                     * @hidden
                                     */
        get: function () {
            return this._implementation;
        },
        enumerable: false,
        configurable: true
    });
    IgcSectionFooterComponent.prototype.connectedCallback = function () {
        if (_super.prototype["connectedCallback"]) {
            _super.prototype["connectedCallback"].call(this);
        }
        if (this.i.connectedCallback) {
            this.i.connectedCallback();
        }
        if (!this._attached) {
            this._attached = true;
            this._flushQueuedAttributes();
        }
    };
    IgcSectionFooterComponent.prototype.disconnectedCallback = function () {
        if (_super.prototype["disconnectedCallback"]) {
            _super.prototype["disconnectedCallback"].call(this);
        }
        if (this.i.disconnectedCallback) {
            this.i.disconnectedCallback();
        }
        if (this._attached) {
            this._attached = false;
        }
    };
    Object.defineProperty(IgcSectionFooterComponent, "observedAttributes", {
        get: function () {
            if (IgcSectionFooterComponent._observedAttributesIgcSectionFooterComponent == null) {
                var names = getAllPropertyNames(IgcSectionFooterComponent);
                for (var i = 0; i < names.length; i++) {
                    names[i] = toSpinal(names[i]);
                }
                IgcSectionFooterComponent._observedAttributesIgcSectionFooterComponent = names;
            }
            return IgcSectionFooterComponent._observedAttributesIgcSectionFooterComponent;
        },
        enumerable: false,
        configurable: true
    });
    IgcSectionFooterComponent.register = function () {
        if (!IgcSectionFooterComponent._isElementRegistered) {
            IgcSectionFooterComponent._isElementRegistered = true;
            RegisterElementHelper.registerElement(IgcSectionFooterComponent.htmlTagName, IgcSectionFooterComponent);
        }
    };
    IgcSectionFooterComponent._observedAttributesIgcSectionFooterComponent = null;
    IgcSectionFooterComponent.htmlTagName = "igc-section-footer";
    IgcSectionFooterComponent._isElementRegistered = false;
    return IgcSectionFooterComponent;
}(IgcDefinitionBaseComponent));
export { IgcSectionFooterComponent };
