import { __extends } from "tslib";
import { IgcCellInfo } from "./igc-cell-info";
import { TemplateCellModel as TemplateCellModel_internal } from "./TemplateCellModel";
/**
 * Represents backing information for a template cell.
*/
var IgcTemplateCellInfo = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(IgcTemplateCellInfo, _super);
    function IgcTemplateCellInfo() {
        return _super.call(this) || this;
    }
    IgcTemplateCellInfo.prototype.createImplementation = function () {
        return new TemplateCellModel_internal();
    };
    Object.defineProperty(IgcTemplateCellInfo.prototype, "i", {
        /**
                                     * @hidden
                                     */
        get: function () {
            return this._implementation;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(IgcTemplateCellInfo.prototype, "value", {
        /**
         * Sets or gets the value to provide to the template.
        */
        get: function () {
            return this.i.ll;
        },
        set: function (v) {
            this.i.ll = v;
        },
        enumerable: false,
        configurable: true
    });
    return IgcTemplateCellInfo;
}(IgcCellInfo));
export { IgcTemplateCellInfo };
