import { __extends } from "tslib";
import { IgcTemplateCellInfo } from "./igc-template-cell-info";
import { TemplateHeaderCellModel as TemplateHeaderCellModel_internal } from "./TemplateHeaderCellModel";
import { ensureBool } from "igniteui-webcomponents-core";
/**
 * Backing information for the template header cells.
*/
var IgcTemplateHeaderCellInfo = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(IgcTemplateHeaderCellInfo, _super);
    function IgcTemplateHeaderCellInfo() {
        return _super.call(this) || this;
    }
    IgcTemplateHeaderCellInfo.prototype.createImplementation = function () {
        return new TemplateHeaderCellModel_internal();
    };
    Object.defineProperty(IgcTemplateHeaderCellInfo.prototype, "i", {
        /**
                                     * @hidden
                                     */
        get: function () {
            return this._implementation;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(IgcTemplateHeaderCellInfo.prototype, "isFilterUIVisible", {
        /**
         * Sets or gets whether the filter UI should be visible in the header.
        */
        get: function () {
            return this.i.lo;
        },
        set: function (v) {
            this.i.lo = ensureBool(v);
        },
        enumerable: false,
        configurable: true
    });
    return IgcTemplateHeaderCellInfo;
}(IgcTemplateCellInfo));
export { IgcTemplateHeaderCellInfo };
