import { __extends } from "tslib";
import { IgcCellInfo } from "./igc-cell-info";
import { TextCellModel as TextCellModel_internal } from "./TextCellModel";
/**
 * Backing information for a text cell in the grid.
*/
var IgcTextCellInfo = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(IgcTextCellInfo, _super);
    function IgcTextCellInfo() {
        return _super.call(this) || this;
    }
    IgcTextCellInfo.prototype.createImplementation = function () {
        return new TextCellModel_internal();
    };
    Object.defineProperty(IgcTextCellInfo.prototype, "i", {
        /**
                                     * @hidden
                                     */
        get: function () {
            return this._implementation;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(IgcTextCellInfo.prototype, "textValue", {
        /**
         * Sets or gets the text value for the cell.
        */
        get: function () {
            return this.i.ll;
        },
        set: function (v) {
            this.i.ll = v;
        },
        enumerable: false,
        configurable: true
    });
    return IgcTextCellInfo;
}(IgcCellInfo));
export { IgcTextCellInfo };
