import { BaseEditorView } from "./BaseEditorView";
import { DatePicker } from "igniteui-webcomponents-inputs";
import { DomRenderer } from "igniteui-webcomponents-core";
import { BaseControlTheme } from "igniteui-webcomponents-core";
import { ICellActionManager } from "./ICellActionManager";
import { Type } from "igniteui-webcomponents-core";
import { FontInfo } from "igniteui-webcomponents-core";
import { InputChangeEventArgs } from "igniteui-webcomponents-inputs";
/**
 * @hidden
 */
export declare class DateEditorView extends BaseEditorView {
    static $t: Type;
    private ad;
    get ae(): string;
    set ae(a: string);
    get ac(): boolean;
    set ac(a: boolean);
    protected y: DatePicker;
    private z;
    private ab;
    private aa;
    constructor(a: DomRenderer, b: BaseControlTheme, c: ICellActionManager);
    setFont(a: FontInfo): void;
    attachEvents(): void;
    detachEvents(): void;
    onTargetChanged(): void;
    onEditStarted(): void;
    onEditEnded(): void;
    protected s(): void;
    ag(): void;
    protected u(a: string, b: any, c: any): void;
    private ak;
    protected w(): void;
    protected r(): void;
    protected v(): void;
    private onDatePickerValueChanged;
    private am;
    protected onInputChanging(a: any, b: InputChangeEventArgs): void;
    private onDatePickerLostFocus;
    private onDatePickerGotFocus;
    getEditorValue(): any;
    setEditorValue(a: any): void;
}
