import { Base, Type } from "igniteui-webcomponents-core";
import { IExternalGrid } from "./IExternalGrid";
import { DomRenderer } from "igniteui-webcomponents-core";
import { IDataSource } from "igniteui-webcomponents-core";
import { TextColumn } from "./TextColumn";
import { NumericColumn } from "./NumericColumn";
import { DateTimeColumn } from "./DateTimeColumn";
import { ImageColumn } from "./ImageColumn";
import { TemplateColumn } from "./TemplateColumn";
import { ComboBoxColumn } from "./ComboBoxColumn";
import { Brush } from "igniteui-webcomponents-core";
import { ScrollbarStyle } from "igniteui-webcomponents-core";
/**
 * @hidden
 */
export declare class GridExternalWrapper extends Base implements IExternalGrid {
    static $t: Type;
    private a;
    constructor(a: any);
    get renderer(): DomRenderer;
    onContentSizeChanged(): void;
    createLocalDataSource(a: any): IDataSource;
    createTextColumn(a: string): TextColumn;
    createNumericColumn(a: string): NumericColumn;
    createDateTimeColumn(a: string): DateTimeColumn;
    createImageColumn(a: string): ImageColumn;
    createTemplateColumn(a: string): TemplateColumn;
    createComboBoxColumn(a: string): ComboBoxColumn;
    focusScroller(): void;
    insertExternalColumnAtIndex(index_: number, column_: any): void;
    removeExternalColumn(column_: any): void;
    setDefaultCursor(): void;
    setResizeCursor(): void;
    setHandCursor(): void;
    setBorder(a: Brush, b: number, c: number, d: number, e: number, f: number, g: number, h: number, i: number): void;
    setScrollerVerticalTrackInset(a: number): void;
    setScrollbarStyle(a: ScrollbarStyle): void;
    setScrollbarColor(a: Brush): void;
    setClipboardText(a: string): void;
    ensureColumnsAreManual(): void;
}
