import { IgcColumnSummaryDescription } from "./igc-column-summary-description";
import { ColumnSummaryDescriptionCollection as ColumnSummaryDescriptionCollection_internal } from "./ColumnSummaryDescriptionCollection";
export declare class IgcColumnSummaryDescriptionCollection {
    protected createImplementation(): ColumnSummaryDescriptionCollection_internal;
    protected _implementation: any;
    get i(): ColumnSummaryDescriptionCollection_internal;
    private onImplementationCreated;
    constructor();
    protected _provideImplementation(i: any): void;
    item(index: number, value?: IgcColumnSummaryDescription): IgcColumnSummaryDescription;
    get count(): number;
    toArray(): IgcColumnSummaryDescription[];
    [Symbol.iterator](): Generator<any, void, unknown>;
    /**
 * Gets or sets whether this collection should detach the sync when the target collection changes.
*/
    get shouldDetachOnTargetChange(): boolean;
    set shouldDetachOnTargetChange(v: boolean);
    findByName(name: string): any;
    add(item: IgcColumnSummaryDescription): boolean;
    insert(index: number, item: IgcColumnSummaryDescription): void;
    clear(): void;
    indexOf(item: IgcColumnSummaryDescription): number;
    remove(item: IgcColumnSummaryDescription): boolean;
    removeAt(index: number): IgcColumnSummaryDescription;
}
