import { IgcCellInfo } from './igc-cell-info';
import { IgcDataGridComponent } from './igc-data-grid-component';
import { DataGridCellEventArgs as DataGridCellEventArgs_internal } from "./DataGridCellEventArgs";
import { MouseButton } from "igniteui-webcomponents-core";
/**
 * Information about the cell in context.
*/
export declare class IgcDataGridCellEventArgs {
    protected createImplementation(): DataGridCellEventArgs_internal;
    protected _implementation: any;
    get i(): DataGridCellEventArgs_internal;
    private onImplementationCreated;
    constructor();
    protected _provideImplementation(i: any): void;
    /**
     * The backing information for the current cell.
    */
    get cellInfo(): IgcCellInfo;
    /**
 * Gets the grid owning the cell.
*/
    get grid(): IgcDataGridComponent;
    set grid(v: IgcDataGridComponent);
    /**
     * Gets which click type it is.
    */
    get button(): MouseButton;
    set button(v: MouseButton);
    /**
     * Is this a double click?
    */
    get isDoubleClick(): boolean;
    set isDoubleClick(v: boolean);
}
