import { IgcDefinitionBaseComponent } from "./igc-definition-base-component";
import { EditorDefinition } from "./EditorDefinition";
/**
 * Represents a base class used to configure the appearance of the column header cells.
*/
export declare class IgcEditorDefinitionComponent extends IgcDefinitionBaseComponent {
    protected createImplementation(): EditorDefinition;
    /**
                                 * @hidden
                                 */
    get i(): EditorDefinition;
    constructor();
    connectedCallback(): void;
    disconnectedCallback(): void;
    private static _observedAttributesIgcEditorDefinitionComponent;
    static get observedAttributes(): string[];
    static htmlTagName: string;
    protected static _isElementRegistered: boolean;
    static register(): void;
}
