import { IgcGridCellPosition } from "./igc-grid-cell-position";
import { GridActiveCellChangedEventArgs as GridActiveCellChangedEventArgs_internal } from "./GridActiveCellChangedEventArgs";
/**
 * Information about the change to the selected cells in the grid.
*/
export declare class IgcGridActiveCellChangedEventArgs {
    protected createImplementation(): GridActiveCellChangedEventArgs_internal;
    protected _implementation: any;
    /**
     * @hidden
     */
    get i(): GridActiveCellChangedEventArgs_internal;
    private onImplementationCreated;
    constructor();
    protected _provideImplementation(i: any): void;
    /**
     * The new active cell.
    */
    get newActiveCell(): IgcGridCellPosition;
    set newActiveCell(v: IgcGridCellPosition);
    /**
     * The old active cell.
    */
    get oldActiveCell(): IgcGridCellPosition;
    set oldActiveCell(v: IgcGridCellPosition);
}
