import { IgcDataGridColumnComponent } from "./igc-data-grid-column-component";
import { GridCellEditEndedEventArgs as GridCellEditEndedEventArgs_internal } from "./GridCellEditEndedEventArgs";
export declare class IgcGridCellEditEndedEventArgs {
    protected createImplementation(): GridCellEditEndedEventArgs_internal;
    protected _implementation: any;
    /**
     * @hidden
     */
    get i(): GridCellEditEndedEventArgs_internal;
    private onImplementationCreated;
    constructor();
    protected _provideImplementation(i: any): void;
    /**
     * Gets the column of the cell that ended editing.
    */
    get column(): IgcDataGridColumnComponent;
    set column(v: IgcDataGridColumnComponent);
    /**
     * Gets the row index of the cell that ended editing.
    */
    get row(): number;
    set row(v: number);
    /**
     * Gets the row item.
    */
    get item(): any;
    set item(v: any);
}
