import { GridColumnFilterOptions } from "./GridColumnFilterOptions";
import { IgcGridColumnOptionsSectionBaseComponent } from "./igc-grid-column-options-section-base-component";
import { ControlDisplayDensity } from "igniteui-webcomponents-core";
export declare class IgcGridColumnFilterOptionsComponent extends IgcGridColumnOptionsSectionBaseComponent {
    private _height;
    private _width;
    set height(value: string);
    get height(): string;
    set width(value: string);
    get width(): string;
    private _webComponentWrapper;
    private _webComponentRenderer;
    constructor();
    updateStyle(): void;
    destroy(): void;
    protected createImplementation(): GridColumnFilterOptions;
    get i(): GridColumnFilterOptions;
    private _disconnected;
    disconnectedCallback(): void;
    connectedCallback(): void;
    afterContentInit(): void;
    private static _observedAttributesIgcGridColumnFilterOptionsComponent;
    static get observedAttributes(): string[];
    static htmlTagName: string;
    protected static _isElementRegistered: boolean;
    static register(): void;
    get clearColumnFiltersCaption(): string;
    set clearColumnFiltersCaption(v: string);
    get filterListPlaceholderText(): string;
    set filterListPlaceholderText(v: string);
    /**
     * Gets or sets the display Density to use for the buttons in the component.
    */
    get filterListDensity(): ControlDisplayDensity;
    set filterListDensity(v: ControlDisplayDensity);
    /**
     * Gets the actual display filterListDensity to use for the component.
    */
    get actualFilterListDensity(): ControlDisplayDensity;
    set actualFilterListDensity(v: ControlDisplayDensity);
    get textFilterCaption(): string;
    set textFilterCaption(v: string);
    onApply(): void;
}
