import { IgcDataGridColumnComponent } from "./igc-data-grid-column-component";
import { IgcColumnWidth } from "./igc-column-width";
import { GridColumnWidthChangedEventArgs as GridColumnWidthChangedEventArgs_internal } from "./GridColumnWidthChangedEventArgs";
/**
 * Event arguments for the GridColumnWidthChanged event.
*/
export declare class IgcGridColumnWidthChangedEventArgs {
    protected createImplementation(): GridColumnWidthChangedEventArgs_internal;
    protected _implementation: any;
    /**
     * @hidden
     */
    get i(): GridColumnWidthChangedEventArgs_internal;
    private onImplementationCreated;
    constructor();
    protected _provideImplementation(i: any): void;
    /**
     * The column whose Width has changed
    */
    get column(): IgcDataGridColumnComponent;
    set column(v: IgcDataGridColumnComponent);
    /**
     * The old column width.
    */
    get oldWidth(): IgcColumnWidth;
    set oldWidth(v: IgcColumnWidth);
    /**
     * The new column width.
    */
    get newWidth(): IgcColumnWidth;
    set newWidth(v: IgcColumnWidth);
}
