import { IgcGridSelectedCellRangesCollection } from "./igc-grid-selected-cell-ranges-collection";
import { GridSelectedCellRangesChangedEventArgs as GridSelectedCellRangesChangedEventArgs_internal } from "./GridSelectedCellRangesChangedEventArgs";
/**
 * Information about the change to the selected cell ranges in the grid.
*/
export declare class IgcGridSelectedCellRangesChangedEventArgs {
    protected createImplementation(): GridSelectedCellRangesChangedEventArgs_internal;
    protected _implementation: any;
    /**
     * @hidden
     */
    get i(): GridSelectedCellRangesChangedEventArgs_internal;
    private onImplementationCreated;
    constructor();
    protected _provideImplementation(i: any): void;
    private _currentRanges;
    /**
     * The cell ranges currently in the selection.
    */
    get currentRanges(): IgcGridSelectedCellRangesCollection;
    set currentRanges(v: IgcGridSelectedCellRangesCollection);
    private _addedRanges;
    /**
     * The cell ranges added to the selection.
    */
    get addedRanges(): IgcGridSelectedCellRangesCollection;
    set addedRanges(v: IgcGridSelectedCellRangesCollection);
    private _removedRanges;
    /**
     * The cell ranges removed from the selection.
    */
    get removedRanges(): IgcGridSelectedCellRangesCollection;
    set removedRanges(v: IgcGridSelectedCellRangesCollection);
    private _updatedRanges;
    /**
     * The cell ranges that have been updated by the grid.
    */
    get updatedRanges(): IgcGridSelectedCellRangesCollection;
    set updatedRanges(v: IgcGridSelectedCellRangesCollection);
}
