import { IgcGridSelectedCellsCollection } from "./igc-grid-selected-cells-collection";
import { GridSelectedCellsChangedEventArgs as GridSelectedCellsChangedEventArgs_internal } from "./GridSelectedCellsChangedEventArgs";
/**
 * Information about the change to the selected cells in the grid.
*/
export declare class IgcGridSelectedCellsChangedEventArgs {
    protected createImplementation(): GridSelectedCellsChangedEventArgs_internal;
    protected _implementation: any;
    /**
     * @hidden
     */
    get i(): GridSelectedCellsChangedEventArgs_internal;
    private onImplementationCreated;
    constructor();
    protected _provideImplementation(i: any): void;
    private _currentCells;
    /**
     * The current cells in the selection.
    */
    get currentCells(): IgcGridSelectedCellsCollection;
    set currentCells(v: IgcGridSelectedCellsCollection);
    private _addedCells;
    /**
     * The cells added to the selection.
    */
    get addedCells(): IgcGridSelectedCellsCollection;
    set addedCells(v: IgcGridSelectedCellsCollection);
    private _removedCells;
    /**
     * The cells removed from the selection.
    */
    get removedCells(): IgcGridSelectedCellsCollection;
    set removedCells(v: IgcGridSelectedCellsCollection);
}
