import { IgcGridSelectedKeysCollection } from "./igc-grid-selected-keys-collection";
import { GridSelectedKeysChangedEventArgs as GridSelectedKeysChangedEventArgs_internal } from "./GridSelectedKeysChangedEventArgs";
/**
 * Information about the change to the selected keys in the grid.
*/
export declare class IgcGridSelectedKeysChangedEventArgs {
    protected createImplementation(): GridSelectedKeysChangedEventArgs_internal;
    protected _implementation: any;
    /**
     * @hidden
     */
    get i(): GridSelectedKeysChangedEventArgs_internal;
    private onImplementationCreated;
    constructor();
    protected _provideImplementation(i: any): void;
    private _currentKeys;
    /**
     * All keys in the selection.
    */
    get currentKeys(): IgcGridSelectedKeysCollection;
    set currentKeys(v: IgcGridSelectedKeysCollection);
    private _addedKeys;
    /**
     * The keys added to the selection.
    */
    get addedKeys(): IgcGridSelectedKeysCollection;
    set addedKeys(v: IgcGridSelectedKeysCollection);
    private _removedKeys;
    /**
     * The keys removed from the selection.
    */
    get removedKeys(): IgcGridSelectedKeysCollection;
    set removedKeys(v: IgcGridSelectedKeysCollection);
}
