import { GridSizeChangedEventArgs as GridSizeChangedEventArgs_internal } from "./GridSizeChangedEventArgs";
/**
 * Event arguments for the SizeChanged event.
*/
export declare class IgcGridSizeChangedEventArgs {
    protected createImplementation(): GridSizeChangedEventArgs_internal;
    protected _implementation: any;
    /**
     * @hidden
     */
    get i(): GridSizeChangedEventArgs_internal;
    private onImplementationCreated;
    constructor();
    protected _provideImplementation(i: any): void;
    /**
     * The new width.
    */
    get width(): number;
    set width(v: number);
    /**
     * The new height.
    */
    get height(): number;
    set height(v: number);
}
