import { IgcDefinitionBaseComponent } from "./igc-definition-base-component";
import { HeaderRowSeparator } from "./HeaderRowSeparator";
/**
 * Represents a Header Row separator. This is used to visually separate the header row from the rest of the rows in a grid.
*/
export declare class IgcHeaderRowSeparatorComponent extends IgcDefinitionBaseComponent {
    protected createImplementation(): HeaderRowSeparator;
    /**
                                 * @hidden
                                 */
    get i(): HeaderRowSeparator;
    constructor();
    connectedCallback(): void;
    disconnectedCallback(): void;
    private static _observedAttributesIgcHeaderRowSeparatorComponent;
    static get observedAttributes(): string[];
    static htmlTagName: string;
    protected static _isElementRegistered: boolean;
    static register(): void;
}
