import { IgcDefinitionBaseComponent } from "./igc-definition-base-component";
import { RowSeparator } from "./RowSeparator";
/**
 * Represents a Row separator, this is used to visually separate the rows in a grid
*/
export declare class IgcRowSeparatorComponent extends IgcDefinitionBaseComponent {
    protected createImplementation(): RowSeparator;
    /**
                                 * @hidden
                                 */
    get i(): RowSeparator;
    constructor();
    connectedCallback(): void;
    disconnectedCallback(): void;
    private static _observedAttributesIgcRowSeparatorComponent;
    static get observedAttributes(): string[];
    static htmlTagName: string;
    protected static _isElementRegistered: boolean;
    static register(): void;
}
