import { IgcTemplateHeaderCellUpdatingEventArgs } from "./igc-template-header-cell-updating-event-args";
import { IgcHeaderComponent } from "./igc-header-component";
import { TemplateHeader } from "./TemplateHeader";
/**
 * A type of header with customizable content.
*/
export declare class IgcTemplateHeaderComponent extends IgcHeaderComponent {
    protected createImplementation(): TemplateHeader;
    /**
                                 * @hidden
                                 */
    get i(): TemplateHeader;
    constructor();
    connectedCallback(): void;
    disconnectedCallback(): void;
    private static _observedAttributesIgcTemplateHeaderComponent;
    static get observedAttributes(): string[];
    static htmlTagName: string;
    protected static _isElementRegistered: boolean;
    static register(): void;
    private _cellUpdating;
    private _cellUpdating_wrapped;
    /**
     * Called when the header cell content is being created or updated.
    */
    get cellUpdating(): (s: IgcTemplateHeaderComponent, e: IgcTemplateHeaderCellUpdatingEventArgs) => void;
    set cellUpdating(ev: (s: IgcTemplateHeaderComponent, e: IgcTemplateHeaderCellUpdatingEventArgs) => void);
}
