import { IgcTemplateSectionHeaderCellUpdatingEventArgs } from "./igc-template-section-header-cell-updating-event-args";
import { IgcSectionHeaderComponent } from "./igc-section-header-component";
import { TemplateSectionHeader } from "./TemplateSectionHeader";
/**
 * Used to configure the appearance of the section header cells.
*/
export declare class IgcTemplateSectionHeaderComponent extends IgcSectionHeaderComponent {
    protected createImplementation(): TemplateSectionHeader;
    /**
                                 * @hidden
                                 */
    get i(): TemplateSectionHeader;
    constructor();
    connectedCallback(): void;
    disconnectedCallback(): void;
    private static _observedAttributesIgcTemplateSectionHeaderComponent;
    static get observedAttributes(): string[];
    static htmlTagName: string;
    protected static _isElementRegistered: boolean;
    static register(): void;
    private _cellUpdating;
    private _cellUpdating_wrapped;
    /**
     * Called when the cell content is being created or updated.
    */
    get cellUpdating(): (s: IgcTemplateSectionHeaderComponent, e: IgcTemplateSectionHeaderCellUpdatingEventArgs) => void;
    set cellUpdating(ev: (s: IgcTemplateSectionHeaderComponent, e: IgcTemplateSectionHeaderCellUpdatingEventArgs) => void);
}
