import { IgcGridColumnOptionsBaseComponent } from "./igc-grid-column-options-base-component";
import { getAllPropertyNames, toSpinal } from "igniteui-webcomponents-core";
export let IgcGridColumnOptionsSectionBaseComponent = /*@__PURE__*/ (() => {
    class IgcGridColumnOptionsSectionBaseComponent extends IgcGridColumnOptionsBaseComponent {
        /**
                                     * @hidden
                                     */
        get i() {
            return this._implementation;
        }
        constructor() {
            super();
        }
        connectedCallback() {
            if (super["connectedCallback"]) {
                super["connectedCallback"]();
            }
            if (this.i.connectedCallback) {
                this.i.connectedCallback();
            }
            if (!this._attached) {
                this._attached = true;
                this._flushQueuedAttributes();
            }
        }
        disconnectedCallback() {
            if (super["disconnectedCallback"]) {
                super["disconnectedCallback"]();
            }
            if (this.i.disconnectedCallback) {
                this.i.disconnectedCallback();
            }
            if (this._attached) {
                this._attached = false;
            }
        }
        static get observedAttributes() {
            if (IgcGridColumnOptionsSectionBaseComponent._observedAttributesIgcGridColumnOptionsSectionBaseComponent == null) {
                let names = getAllPropertyNames(IgcGridColumnOptionsSectionBaseComponent);
                for (let i = 0; i < names.length; i++) {
                    names[i] = toSpinal(names[i]);
                }
                IgcGridColumnOptionsSectionBaseComponent._observedAttributesIgcGridColumnOptionsSectionBaseComponent = names;
            }
            return IgcGridColumnOptionsSectionBaseComponent._observedAttributesIgcGridColumnOptionsSectionBaseComponent;
        }
        onApply() {
            this.i.bt();
        }
        onCancel() {
            this.i.bu();
        }
    }
    IgcGridColumnOptionsSectionBaseComponent._observedAttributesIgcGridColumnOptionsSectionBaseComponent = null;
    return IgcGridColumnOptionsSectionBaseComponent;
})();
