import { IgcDefinitionBaseComponent } from "./igc-definition-base-component";
import { PinnedAreaSeparator } from "./PinnedAreaSeparator";
import { getAllPropertyNames, toSpinal } from "igniteui-webcomponents-core";
import { RegisterElementHelper } from "igniteui-webcomponents-core";
export let IgcPinnedAreaSeparatorComponent = /*@__PURE__*/ (() => {
    class IgcPinnedAreaSeparatorComponent extends IgcDefinitionBaseComponent {
        createImplementation() {
            return new PinnedAreaSeparator();
        }
        /**
                                     * @hidden
                                     */
        get i() {
            return this._implementation;
        }
        constructor() {
            super();
        }
        connectedCallback() {
            if (super["connectedCallback"]) {
                super["connectedCallback"]();
            }
            if (this.i.connectedCallback) {
                this.i.connectedCallback();
            }
            if (!this._attached) {
                this._attached = true;
                this._flushQueuedAttributes();
            }
        }
        disconnectedCallback() {
            if (super["disconnectedCallback"]) {
                super["disconnectedCallback"]();
            }
            if (this.i.disconnectedCallback) {
                this.i.disconnectedCallback();
            }
            if (this._attached) {
                this._attached = false;
            }
        }
        static get observedAttributes() {
            if (IgcPinnedAreaSeparatorComponent._observedAttributesIgcPinnedAreaSeparatorComponent == null) {
                let names = getAllPropertyNames(IgcPinnedAreaSeparatorComponent);
                for (let i = 0; i < names.length; i++) {
                    names[i] = toSpinal(names[i]);
                }
                IgcPinnedAreaSeparatorComponent._observedAttributesIgcPinnedAreaSeparatorComponent = names;
            }
            return IgcPinnedAreaSeparatorComponent._observedAttributesIgcPinnedAreaSeparatorComponent;
        }
        static register() {
            if (!IgcPinnedAreaSeparatorComponent._isElementRegistered) {
                IgcPinnedAreaSeparatorComponent._isElementRegistered = true;
                RegisterElementHelper.registerElement(IgcPinnedAreaSeparatorComponent.htmlTagName, IgcPinnedAreaSeparatorComponent);
            }
        }
    }
    IgcPinnedAreaSeparatorComponent._observedAttributesIgcPinnedAreaSeparatorComponent = null;
    IgcPinnedAreaSeparatorComponent.htmlTagName = "igc-pinned-area-separator";
    IgcPinnedAreaSeparatorComponent._isElementRegistered = false;
    return IgcPinnedAreaSeparatorComponent;
})();
