import { IgcSummaryRowComponent } from "./igc-summary-row-component";
import { SummaryRowSection } from "./SummaryRowSection";
import { getAllPropertyNames, toSpinal } from "igniteui-webcomponents-core";
import { RegisterElementHelper } from "igniteui-webcomponents-core";
export let IgcSummaryRowSectionComponent = /*@__PURE__*/ (() => {
    class IgcSummaryRowSectionComponent extends IgcSummaryRowComponent {
        createImplementation() {
            return new SummaryRowSection();
        }
        /**
                                     * @hidden
                                     */
        get i() {
            return this._implementation;
        }
        constructor() {
            super();
        }
        connectedCallback() {
            if (super["connectedCallback"]) {
                super["connectedCallback"]();
            }
            if (this.i.connectedCallback) {
                this.i.connectedCallback();
            }
            if (!this._attached) {
                this._attached = true;
                this._flushQueuedAttributes();
            }
        }
        disconnectedCallback() {
            if (super["disconnectedCallback"]) {
                super["disconnectedCallback"]();
            }
            if (this.i.disconnectedCallback) {
                this.i.disconnectedCallback();
            }
            if (this._attached) {
                this._attached = false;
            }
        }
        static get observedAttributes() {
            if (IgcSummaryRowSectionComponent._observedAttributesIgcSummaryRowSectionComponent == null) {
                let names = getAllPropertyNames(IgcSummaryRowSectionComponent);
                for (let i = 0; i < names.length; i++) {
                    names[i] = toSpinal(names[i]);
                }
                IgcSummaryRowSectionComponent._observedAttributesIgcSummaryRowSectionComponent = names;
            }
            return IgcSummaryRowSectionComponent._observedAttributesIgcSummaryRowSectionComponent;
        }
        static register() {
            if (!IgcSummaryRowSectionComponent._isElementRegistered) {
                IgcSummaryRowSectionComponent._isElementRegistered = true;
                RegisterElementHelper.registerElement(IgcSummaryRowSectionComponent.htmlTagName, IgcSummaryRowSectionComponent);
            }
        }
    }
    IgcSummaryRowSectionComponent._observedAttributesIgcSummaryRowSectionComponent = null;
    IgcSummaryRowSectionComponent.htmlTagName = "igc-summary-row-section";
    IgcSummaryRowSectionComponent._isElementRegistered = false;
    return IgcSummaryRowSectionComponent;
})();
