import { IgcCellInfo } from "./igc-cell-info";
import { VerticalSeparatorCellModel as VerticalSeparatorCellModel_internal } from "./VerticalSeparatorCellModel";
/**
 * Represents backing information for vertical separators.
*/
export class IgcVerticalSeparatorCellInfo extends IgcCellInfo {
    createImplementation() {
        return new VerticalSeparatorCellModel_internal();
    }
    /**
                                 * @hidden
                                 */
    get i() {
        return this._implementation;
    }
    constructor() {
        super();
    }
}
