import { __extends } from "tslib";
import { IgCollection } from "igniteui-webcomponents-core";
import { markType } from "igniteui-webcomponents-core";
import { SyncableObservableCollection$2 } from "igniteui-webcomponents-core";
import { ColumnExchanger as ColumnExchanger_internal } from './ColumnExchanger';
import { IgcColumnExchanger as IgcColumnExchanger } from './igc-column-exchanger';
var IgcColumnExchangersCollection = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(IgcColumnExchangersCollection, _super);
    function IgcColumnExchangersCollection(list) {
        var _this = _super.call(this) || this;
        if (!IgcColumnExchanger.$type) {
            IgcColumnExchanger.$type = markType(IgcColumnExchanger, "IgcColumnExchanger");
        }
        if (list) {
            for (var i = 0; i < list.length; i++) {
                _this.add(list[i]);
            }
        }
        return _this;
    }
    IgcColumnExchangersCollection.prototype._createInnerColl = function () {
        if (!IgcColumnExchanger.$type) {
            IgcColumnExchanger.$type = markType(IgcColumnExchanger, "IgcColumnExchanger");
        }
        var coll = new SyncableObservableCollection$2(IgcColumnExchanger.$type, ColumnExchanger_internal.$type, 0);
        coll.compare = function (ext, int) {
            var comp = ext;
            if (comp._implementation) {
                comp = comp._implementation;
            }
            if (comp.equals) {
                return comp.equals(int);
            }
            return comp === int;
        };
        coll.createTo = function (ext) {
            return ext._implementation;
        };
        coll.createFrom = function (int) {
            var ext = int.externalObject;
            if (!ext) {
                ext = new IgcColumnExchanger();
                if (ext) {
                    if (!int.$type && ext._implementation.setNativeElement) {
                        ext._implementation.setNativeElement(int);
                    }
                    else {
                        ext._implementation = int;
                    }
                }
            }
            return ext;
        };
        return coll;
    };
    return IgcColumnExchangersCollection;
}(IgCollection));
export { IgcColumnExchangersCollection };
