/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE: you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { IgcTextHeaderModule } from './igc-text-header-module';
import { IgcSectionHeaderModule } from './igc-section-header-module';
import { IgcRowSeparatorModule } from './igc-row-separator-module';
import { IgcHeaderSeparatorModule } from './igc-header-separator-module';
import { IgcColumnResizingSeparatorModule } from './igc-column-resizing-separator-module';
import { IgcColumnMovingSeparatorModule } from './igc-column-moving-separator-module';
import { IgcSummaryRowRootModule } from './igc-summary-row-root-module';
import { IgcSummaryRowSectionModule } from './igc-summary-row-section-module';
import { IgcColumnWidthModule } from './igc-column-width-module';
import { IgcColumnSortDescriptionModule } from './igc-column-sort-description-module';
import { IgcColumnGroupDescriptionModule } from './igc-column-group-description-module';
import { IgcColumnSummaryDescriptionModule } from './igc-column-summary-description-module';
import { IgcPrimaryKeyValueModule } from './igc-primary-key-value-module';
import { IgcCellKeyModule } from './igc-cell-key-module';
import { IgcCellRangeModule } from './igc-cell-range-module';
import { IgcGridCellPositionModule } from './igc-grid-cell-position-module';
import { IgcLocalDataSourceModule } from "igniteui-webcomponents-core";
import { IgcNumberFormatSpecifierModule } from "igniteui-webcomponents-core";
import { IgcDateTimeFormatSpecifierModule } from "igniteui-webcomponents-core";
import { IgcDataGridComponent } from './igc-data-grid-component';
import { TypeRegistrar } from "igniteui-webcomponents-core";
var IgcDataGridCoreModule = /** @class */ /*@__PURE__*/ (function () {
    function IgcDataGridCoreModule() {
    }
    IgcDataGridCoreModule.register = function () {
        IgcTextHeaderModule.register();
        IgcSectionHeaderModule.register();
        IgcRowSeparatorModule.register();
        IgcHeaderSeparatorModule.register();
        IgcColumnResizingSeparatorModule.register();
        IgcColumnMovingSeparatorModule.register();
        IgcSummaryRowRootModule.register();
        IgcSummaryRowSectionModule.register();
        IgcColumnWidthModule.register();
        IgcColumnSortDescriptionModule.register();
        IgcColumnGroupDescriptionModule.register();
        IgcColumnSummaryDescriptionModule.register();
        IgcPrimaryKeyValueModule.register();
        IgcCellKeyModule.register();
        IgcCellRangeModule.register();
        IgcGridCellPositionModule.register();
        IgcLocalDataSourceModule.register();
        IgcNumberFormatSpecifierModule.register();
        IgcDateTimeFormatSpecifierModule.register();
        IgcDataGridComponent.register();
        TypeRegistrar.registerCons('IgcDataGridComponent', IgcDataGridComponent);
    };
    return IgcDataGridCoreModule;
}());
export { IgcDataGridCoreModule };
