import { FormatSummaryTextEventArgs as FormatSummaryTextEventArgs_internal } from "./FormatSummaryTextEventArgs";
var IgcFormatSummaryTextEventArgs = /** @class */ /*@__PURE__*/ (function () {
    function IgcFormatSummaryTextEventArgs() {
        this._implementation = this.createImplementation();
        this._implementation.externalObject = this;
        this.onImplementationCreated();
        if (this._initializeAdapters) {
            this._initializeAdapters();
        }
    }
    IgcFormatSummaryTextEventArgs.prototype.createImplementation = function () {
        return new FormatSummaryTextEventArgs_internal();
    };
    Object.defineProperty(IgcFormatSummaryTextEventArgs.prototype, "i", {
        /**
         * @hidden
         */
        get: function () {
            return this._implementation;
        },
        enumerable: false,
        configurable: true
    });
    IgcFormatSummaryTextEventArgs.prototype.onImplementationCreated = function () {
    };
    IgcFormatSummaryTextEventArgs.prototype._provideImplementation = function (i) {
        this._implementation = i;
        this._implementation.externalObject = this;
        this.onImplementationCreated();
        if (this._initializeAdapters) {
            this._initializeAdapters();
        }
    };
    Object.defineProperty(IgcFormatSummaryTextEventArgs.prototype, "field", {
        /**
         * Gets the summary property name.
        */
        get: function () {
            return this.i.c;
        },
        set: function (v) {
            this.i.c = v;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(IgcFormatSummaryTextEventArgs.prototype, "displayName", {
        /**
         * Gets the summary display name.
        */
        get: function () {
            return this.i.b;
        },
        set: function (v) {
            this.i.b = v;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(IgcFormatSummaryTextEventArgs.prototype, "summaryResult", {
        /**
         * Gets the original value before formatting.
        */
        get: function () {
            return this.i.a;
        },
        set: function (v) {
            this.i.a = v;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(IgcFormatSummaryTextEventArgs.prototype, "formattedResult", {
        /**
         * Gets or sets the summary value as formatted text.  Setting this property will only affect summary cells.
        */
        get: function () {
            return this.i.d;
        },
        set: function (v) {
            this.i.d = v;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(IgcFormatSummaryTextEventArgs.prototype, "formattedText", {
        /**
         * Gets or sets the final text that will be displayed in the group header.
        */
        get: function () {
            return this.i.e;
        },
        set: function (v) {
            this.i.e = v;
        },
        enumerable: false,
        configurable: true
    });
    return IgcFormatSummaryTextEventArgs;
}());
export { IgcFormatSummaryTextEventArgs };
