import { __extends } from "tslib";
import { IgCollection } from "igniteui-webcomponents-core";
import { markType } from "igniteui-webcomponents-core";
import { SyncableObservableCollection$2 } from "igniteui-webcomponents-core";
import { DataGridColumn as DataGridColumn_internal } from './DataGridColumn';
import { IgcDataGridColumnComponent as IgcDataGridColumnComponent } from './igc-data-grid-column-component';
var IgcGridColumnCollection = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(IgcGridColumnCollection, _super);
    function IgcGridColumnCollection(list) {
        var _this = _super.call(this) || this;
        if (!IgcDataGridColumnComponent.$type) {
            IgcDataGridColumnComponent.$type = markType(IgcDataGridColumnComponent, "IgcDataGridColumnComponent");
        }
        if (list) {
            for (var i = 0; i < list.length; i++) {
                _this.add(list[i]);
            }
        }
        return _this;
    }
    IgcGridColumnCollection.prototype._createInnerColl = function () {
        if (!IgcDataGridColumnComponent.$type) {
            IgcDataGridColumnComponent.$type = markType(IgcDataGridColumnComponent, "IgcDataGridColumnComponent");
        }
        var coll = new SyncableObservableCollection$2(IgcDataGridColumnComponent.$type, DataGridColumn_internal.$type, 0);
        coll.compare = function (ext, int) {
            var comp = ext;
            if (comp._implementation) {
                comp = comp._implementation;
            }
            if (comp.equals) {
                return comp.equals(int);
            }
            return comp === int;
        };
        coll.createTo = function (ext) {
            return ext._implementation;
        };
        coll.createFrom = function (int) {
            var ext = int.externalObject;
            if (!ext) {
                ext = IgcDataGridColumnComponent._createFromInternal(int);
                if (ext) {
                    if (!int.$type && ext._implementation.setNativeElement) {
                        ext._implementation.setNativeElement(int);
                    }
                    else {
                        ext._implementation = int;
                    }
                }
            }
            return ext;
        };
        return coll;
    };
    return IgcGridColumnCollection;
}(IgCollection));
export { IgcGridColumnCollection };
