import { IgcDataGridColumnComponent } from "./igc-data-grid-column-component";
import { GridFilterDialogOpeningEventArgs as GridFilterDialogOpeningEventArgs_internal } from "./GridFilterDialogOpeningEventArgs";
var IgcGridFilterDialogOpeningEventArgs = /** @class */ /*@__PURE__*/ (function () {
    function IgcGridFilterDialogOpeningEventArgs() {
        this._implementation = this.createImplementation();
        this._implementation.externalObject = this;
        this.onImplementationCreated();
        if (this._initializeAdapters) {
            this._initializeAdapters();
        }
    }
    IgcGridFilterDialogOpeningEventArgs.prototype.createImplementation = function () {
        return new GridFilterDialogOpeningEventArgs_internal();
    };
    Object.defineProperty(IgcGridFilterDialogOpeningEventArgs.prototype, "i", {
        /**
         * @hidden
         */
        get: function () {
            return this._implementation;
        },
        enumerable: false,
        configurable: true
    });
    IgcGridFilterDialogOpeningEventArgs.prototype.onImplementationCreated = function () {
    };
    IgcGridFilterDialogOpeningEventArgs.prototype._provideImplementation = function (i) {
        this._implementation = i;
        this._implementation.externalObject = this;
        this.onImplementationCreated();
        if (this._initializeAdapters) {
            this._initializeAdapters();
        }
    };
    Object.defineProperty(IgcGridFilterDialogOpeningEventArgs.prototype, "column", {
        get: function () {
            var r = this.i.a;
            if (r == null) {
                return null;
            }
            if (!r.externalObject) {
                var e = IgcDataGridColumnComponent._createFromInternal(r);
                if (e) {
                    e._implementation = r;
                }
                r.externalObject = e;
            }
            return r.externalObject;
        },
        set: function (v) {
            v == null ? this.i.a = null : this.i.a = v.i;
        },
        enumerable: false,
        configurable: true
    });
    return IgcGridFilterDialogOpeningEventArgs;
}());
export { IgcGridFilterDialogOpeningEventArgs };
