import { __extends } from "tslib";
import { IgCollection } from "igniteui-webcomponents-core";
import { markType } from "igniteui-webcomponents-core";
import { SyncableObservableCollection$2 } from "igniteui-webcomponents-core";
import { FilterOperand as FilterOperand_internal } from './FilterOperand';
import { IgcFilterOperand as IgcFilterOperand } from './igc-filter-operand';
var IgcGridFilterOperandsCollection = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(IgcGridFilterOperandsCollection, _super);
    function IgcGridFilterOperandsCollection(list) {
        var _this = _super.call(this) || this;
        if (!IgcFilterOperand.$type) {
            IgcFilterOperand.$type = markType(IgcFilterOperand, "IgcFilterOperand");
        }
        if (list) {
            for (var i = 0; i < list.length; i++) {
                _this.add(list[i]);
            }
        }
        return _this;
    }
    IgcGridFilterOperandsCollection.prototype._createInnerColl = function () {
        if (!IgcFilterOperand.$type) {
            IgcFilterOperand.$type = markType(IgcFilterOperand, "IgcFilterOperand");
        }
        var coll = new SyncableObservableCollection$2(IgcFilterOperand.$type, FilterOperand_internal.$type, 0);
        coll.compare = function (ext, int) {
            var comp = ext;
            if (comp._implementation) {
                comp = comp._implementation;
            }
            if (comp.equals) {
                return comp.equals(int);
            }
            return comp === int;
        };
        coll.createTo = function (ext) {
            return ext._implementation;
        };
        coll.createFrom = function (int) {
            var ext = int.externalObject;
            if (!ext) {
                ext = new IgcFilterOperand();
                if (ext) {
                    if (!int.$type && ext._implementation.setNativeElement) {
                        ext._implementation.setNativeElement(int);
                    }
                    else {
                        ext._implementation = int;
                    }
                }
            }
            return ext;
        };
        return coll;
    };
    return IgcGridFilterOperandsCollection;
}(IgCollection));
export { IgcGridFilterOperandsCollection };
