import { IgcColumnGroupDescriptionCollection } from "./igc-column-group-description-collection";
import { GridGroupDescriptionsChangedEventArgs as GridGroupDescriptionsChangedEventArgs_internal } from "./GridGroupDescriptionsChangedEventArgs";
/**
 * Information about the current grouping applied to the grid.
*/
var IgcGridGroupDescriptionsChangedEventArgs = /** @class */ /*@__PURE__*/ (function () {
    function IgcGridGroupDescriptionsChangedEventArgs() {
        this._implementation = this.createImplementation();
        this._implementation.externalObject = this;
        this.onImplementationCreated();
        if (this._initializeAdapters) {
            this._initializeAdapters();
        }
    }
    IgcGridGroupDescriptionsChangedEventArgs.prototype.createImplementation = function () {
        return new GridGroupDescriptionsChangedEventArgs_internal();
    };
    Object.defineProperty(IgcGridGroupDescriptionsChangedEventArgs.prototype, "i", {
        /**
         * @hidden
         */
        get: function () {
            return this._implementation;
        },
        enumerable: false,
        configurable: true
    });
    IgcGridGroupDescriptionsChangedEventArgs.prototype.onImplementationCreated = function () {
    };
    IgcGridGroupDescriptionsChangedEventArgs.prototype._provideImplementation = function (i) {
        this._implementation = i;
        this._implementation.externalObject = this;
        this.onImplementationCreated();
        if (this._initializeAdapters) {
            this._initializeAdapters();
        }
    };
    Object.defineProperty(IgcGridGroupDescriptionsChangedEventArgs.prototype, "groupDescriptions", {
        get: function () {
            var r = this.i.groupDescriptions;
            if (r == null) {
                return null;
            }
            if (!r.externalObject) {
                var e = new IgcColumnGroupDescriptionCollection();
                if (r.$type) {
                    e._implementation = r;
                }
                else {
                    if (e.i.setNativeElement) {
                        e.i.setNativeElement(r);
                    }
                }
                r.externalObject = e;
            }
            return r.externalObject;
        },
        set: function (v) {
            v == null ? this.i.groupDescriptions = null : this.i.groupDescriptions = v.i;
        },
        enumerable: false,
        configurable: true
    });
    return IgcGridGroupDescriptionsChangedEventArgs;
}());
export { IgcGridGroupDescriptionsChangedEventArgs };
