import { GridRowEditEndedEventArgs as GridRowEditEndedEventArgs_internal } from "./GridRowEditEndedEventArgs";
var IgcGridRowEditEndedEventArgs = /** @class */ /*@__PURE__*/ (function () {
    function IgcGridRowEditEndedEventArgs() {
        this._implementation = this.createImplementation();
        this._implementation.externalObject = this;
        this.onImplementationCreated();
        if (this._initializeAdapters) {
            this._initializeAdapters();
        }
    }
    IgcGridRowEditEndedEventArgs.prototype.createImplementation = function () {
        return new GridRowEditEndedEventArgs_internal();
    };
    Object.defineProperty(IgcGridRowEditEndedEventArgs.prototype, "i", {
        /**
         * @hidden
         */
        get: function () {
            return this._implementation;
        },
        enumerable: false,
        configurable: true
    });
    IgcGridRowEditEndedEventArgs.prototype.onImplementationCreated = function () {
    };
    IgcGridRowEditEndedEventArgs.prototype._provideImplementation = function (i) {
        this._implementation = i;
        this._implementation.externalObject = this;
        this.onImplementationCreated();
        if (this._initializeAdapters) {
            this._initializeAdapters();
        }
    };
    Object.defineProperty(IgcGridRowEditEndedEventArgs.prototype, "row", {
        /**
         * Gets the row that ended editing.
        */
        get: function () {
            return this.i.a;
        },
        set: function (v) {
            this.i.a = +v;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(IgcGridRowEditEndedEventArgs.prototype, "item", {
        /**
         * Gets the row item.
        */
        get: function () {
            return this.i.item;
        },
        set: function (v) {
            this.i.item = v;
        },
        enumerable: false,
        configurable: true
    });
    return IgcGridRowEditEndedEventArgs;
}());
export { IgcGridRowEditEndedEventArgs };
