import { IgcColumnSortDescriptionCollection } from "./igc-column-sort-description-collection";
import { GridSortDescriptionsChangedEventArgs as GridSortDescriptionsChangedEventArgs_internal } from "./GridSortDescriptionsChangedEventArgs";
/**
 * Information about the current sorting applied to the grid.
*/
var IgcGridSortDescriptionsChangedEventArgs = /** @class */ /*@__PURE__*/ (function () {
    function IgcGridSortDescriptionsChangedEventArgs() {
        this._implementation = this.createImplementation();
        this._implementation.externalObject = this;
        this.onImplementationCreated();
        if (this._initializeAdapters) {
            this._initializeAdapters();
        }
    }
    IgcGridSortDescriptionsChangedEventArgs.prototype.createImplementation = function () {
        return new GridSortDescriptionsChangedEventArgs_internal();
    };
    Object.defineProperty(IgcGridSortDescriptionsChangedEventArgs.prototype, "i", {
        /**
         * @hidden
         */
        get: function () {
            return this._implementation;
        },
        enumerable: false,
        configurable: true
    });
    IgcGridSortDescriptionsChangedEventArgs.prototype.onImplementationCreated = function () {
    };
    IgcGridSortDescriptionsChangedEventArgs.prototype._provideImplementation = function (i) {
        this._implementation = i;
        this._implementation.externalObject = this;
        this.onImplementationCreated();
        if (this._initializeAdapters) {
            this._initializeAdapters();
        }
    };
    Object.defineProperty(IgcGridSortDescriptionsChangedEventArgs.prototype, "sortDescriptions", {
        get: function () {
            var r = this.i.sortDescriptions;
            if (r == null) {
                return null;
            }
            if (!r.externalObject) {
                var e = new IgcColumnSortDescriptionCollection();
                if (r.$type) {
                    e._implementation = r;
                }
                else {
                    if (e.i.setNativeElement) {
                        e.i.setNativeElement(r);
                    }
                }
                r.externalObject = e;
            }
            return r.externalObject;
        },
        set: function (v) {
            v == null ? this.i.sortDescriptions = null : this.i.sortDescriptions = v.i;
        },
        enumerable: false,
        configurable: true
    });
    return IgcGridSortDescriptionsChangedEventArgs;
}());
export { IgcGridSortDescriptionsChangedEventArgs };
