import { __extends } from "tslib";
import { IgcDefinitionBaseComponent } from "./igc-definition-base-component";
import { HeaderSeparator } from "./HeaderSeparator";
import { getAllPropertyNames, toSpinal } from "igniteui-webcomponents-core";
import { RegisterElementHelper } from "igniteui-webcomponents-core";
var IgcHeaderSeparatorComponent = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(IgcHeaderSeparatorComponent, _super);
    function IgcHeaderSeparatorComponent() {
        return _super.call(this) || this;
    }
    IgcHeaderSeparatorComponent.prototype.createImplementation = function () {
        return new HeaderSeparator();
    };
    Object.defineProperty(IgcHeaderSeparatorComponent.prototype, "i", {
        /**
                                     * @hidden
                                     */
        get: function () {
            return this._implementation;
        },
        enumerable: false,
        configurable: true
    });
    IgcHeaderSeparatorComponent.prototype.connectedCallback = function () {
        if (_super.prototype["connectedCallback"]) {
            _super.prototype["connectedCallback"].call(this);
        }
        if (this.i.connectedCallback) {
            this.i.connectedCallback();
        }
        if (!this._attached) {
            this._attached = true;
            this._flushQueuedAttributes();
        }
    };
    IgcHeaderSeparatorComponent.prototype.disconnectedCallback = function () {
        if (_super.prototype["disconnectedCallback"]) {
            _super.prototype["disconnectedCallback"].call(this);
        }
        if (this.i.disconnectedCallback) {
            this.i.disconnectedCallback();
        }
        if (this._attached) {
            this._attached = false;
        }
    };
    Object.defineProperty(IgcHeaderSeparatorComponent, "observedAttributes", {
        get: function () {
            if (IgcHeaderSeparatorComponent._observedAttributesIgcHeaderSeparatorComponent == null) {
                var names = getAllPropertyNames(IgcHeaderSeparatorComponent);
                for (var i = 0; i < names.length; i++) {
                    names[i] = toSpinal(names[i]);
                }
                IgcHeaderSeparatorComponent._observedAttributesIgcHeaderSeparatorComponent = names;
            }
            return IgcHeaderSeparatorComponent._observedAttributesIgcHeaderSeparatorComponent;
        },
        enumerable: false,
        configurable: true
    });
    IgcHeaderSeparatorComponent.register = function () {
        if (!IgcHeaderSeparatorComponent._isElementRegistered) {
            IgcHeaderSeparatorComponent._isElementRegistered = true;
            RegisterElementHelper.registerElement(IgcHeaderSeparatorComponent.htmlTagName, IgcHeaderSeparatorComponent);
        }
    };
    IgcHeaderSeparatorComponent._observedAttributesIgcHeaderSeparatorComponent = null;
    IgcHeaderSeparatorComponent.htmlTagName = "igc-header-separator";
    IgcHeaderSeparatorComponent._isElementRegistered = false;
    return IgcHeaderSeparatorComponent;
}(IgcDefinitionBaseComponent));
export { IgcHeaderSeparatorComponent };
