import { __extends } from "tslib";
import { IgCollection } from "igniteui-webcomponents-core";
import { markType } from "igniteui-webcomponents-core";
import { SyncableObservableCollection$2 } from "igniteui-webcomponents-core";
import { ResponsivePhase as ResponsivePhase_internal } from './ResponsivePhase';
import { IgcResponsivePhase as IgcResponsivePhase } from './igc-responsive-phase';
var IgcResponsivePhasesCollection = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(IgcResponsivePhasesCollection, _super);
    function IgcResponsivePhasesCollection(list) {
        var _this = _super.call(this) || this;
        if (!IgcResponsivePhase.$type) {
            IgcResponsivePhase.$type = markType(IgcResponsivePhase, "IgcResponsivePhase");
        }
        if (list) {
            for (var i = 0; i < list.length; i++) {
                _this.add(list[i]);
            }
        }
        return _this;
    }
    IgcResponsivePhasesCollection.prototype._createInnerColl = function () {
        if (!IgcResponsivePhase.$type) {
            IgcResponsivePhase.$type = markType(IgcResponsivePhase, "IgcResponsivePhase");
        }
        var coll = new SyncableObservableCollection$2(IgcResponsivePhase.$type, ResponsivePhase_internal.$type, 0);
        coll.compare = function (ext, int) {
            var comp = ext;
            if (comp._implementation) {
                comp = comp._implementation;
            }
            if (comp.equals) {
                return comp.equals(int);
            }
            return comp === int;
        };
        coll.createTo = function (ext) {
            return ext._implementation;
        };
        coll.createFrom = function (int) {
            var ext = int.externalObject;
            if (!ext) {
                ext = new IgcResponsivePhase();
                if (ext) {
                    if (!int.$type && ext._implementation.setNativeElement) {
                        ext._implementation.setNativeElement(int);
                    }
                    else {
                        ext._implementation = int;
                    }
                }
            }
            return ext;
        };
        return coll;
    };
    return IgcResponsivePhasesCollection;
}(IgCollection));
export { IgcResponsivePhasesCollection };
