import { ResponsiveStateExitedEventArgs as ResponsiveStateExitedEventArgs_internal } from "./ResponsiveStateExitedEventArgs";
/**
 * Information about the exited state.
*/
var IgcResponsiveStateExitedEventArgs = /** @class */ /*@__PURE__*/ (function () {
    function IgcResponsiveStateExitedEventArgs() {
        this._implementation = this.createImplementation();
        this._implementation.externalObject = this;
        this.onImplementationCreated();
        if (this._initializeAdapters) {
            this._initializeAdapters();
        }
    }
    IgcResponsiveStateExitedEventArgs.prototype.createImplementation = function () {
        return new ResponsiveStateExitedEventArgs_internal();
    };
    Object.defineProperty(IgcResponsiveStateExitedEventArgs.prototype, "i", {
        /**
         * @hidden
         */
        get: function () {
            return this._implementation;
        },
        enumerable: false,
        configurable: true
    });
    IgcResponsiveStateExitedEventArgs.prototype.onImplementationCreated = function () {
    };
    IgcResponsiveStateExitedEventArgs.prototype._provideImplementation = function (i) {
        this._implementation = i;
        this._implementation.externalObject = this;
        this.onImplementationCreated();
        if (this._initializeAdapters) {
            this._initializeAdapters();
        }
    };
    return IgcResponsiveStateExitedEventArgs;
}());
export { IgcResponsiveStateExitedEventArgs };
