import { __extends } from "tslib";
import { IgCollection } from "igniteui-webcomponents-core";
import { markType } from "igniteui-webcomponents-core";
import { SyncableObservableCollection$2 } from "igniteui-webcomponents-core";
import { ResponsiveState as ResponsiveState_internal } from './ResponsiveState';
import { IgcResponsiveState as IgcResponsiveState } from './igc-responsive-state';
var IgcResponsiveStatesCollection = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(IgcResponsiveStatesCollection, _super);
    function IgcResponsiveStatesCollection(list) {
        var _this = _super.call(this) || this;
        if (!IgcResponsiveState.$type) {
            IgcResponsiveState.$type = markType(IgcResponsiveState, "IgcResponsiveState");
        }
        if (list) {
            for (var i = 0; i < list.length; i++) {
                _this.add(list[i]);
            }
        }
        return _this;
    }
    IgcResponsiveStatesCollection.prototype._createInnerColl = function () {
        if (!IgcResponsiveState.$type) {
            IgcResponsiveState.$type = markType(IgcResponsiveState, "IgcResponsiveState");
        }
        var coll = new SyncableObservableCollection$2(IgcResponsiveState.$type, ResponsiveState_internal.$type, 0);
        coll.compare = function (ext, int) {
            var comp = ext;
            if (comp._implementation) {
                comp = comp._implementation;
            }
            if (comp.equals) {
                return comp.equals(int);
            }
            return comp === int;
        };
        coll.createTo = function (ext) {
            return ext._implementation;
        };
        coll.createFrom = function (int) {
            var ext = int.externalObject;
            if (!ext) {
                ext = new IgcResponsiveState();
                if (ext) {
                    if (!int.$type && ext._implementation.setNativeElement) {
                        ext._implementation.setNativeElement(int);
                    }
                    else {
                        ext._implementation = int;
                    }
                }
            }
            return ext;
        };
        return coll;
    };
    return IgcResponsiveStatesCollection;
}(IgCollection));
export { IgcResponsiveStatesCollection };
