import { __extends } from "tslib";
import { IgcSummaryRowComponent } from "./igc-summary-row-component";
import { SummaryRowRoot } from "./SummaryRowRoot";
import { getAllPropertyNames, toSpinal } from "igniteui-webcomponents-core";
import { RegisterElementHelper } from "igniteui-webcomponents-core";
var IgcSummaryRowRootComponent = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(IgcSummaryRowRootComponent, _super);
    function IgcSummaryRowRootComponent() {
        return _super.call(this) || this;
    }
    IgcSummaryRowRootComponent.prototype.createImplementation = function () {
        return new SummaryRowRoot();
    };
    Object.defineProperty(IgcSummaryRowRootComponent.prototype, "i", {
        /**
                                     * @hidden
                                     */
        get: function () {
            return this._implementation;
        },
        enumerable: false,
        configurable: true
    });
    IgcSummaryRowRootComponent.prototype.connectedCallback = function () {
        if (_super.prototype["connectedCallback"]) {
            _super.prototype["connectedCallback"].call(this);
        }
        if (this.i.connectedCallback) {
            this.i.connectedCallback();
        }
        if (!this._attached) {
            this._attached = true;
            this._flushQueuedAttributes();
        }
    };
    IgcSummaryRowRootComponent.prototype.disconnectedCallback = function () {
        if (_super.prototype["disconnectedCallback"]) {
            _super.prototype["disconnectedCallback"].call(this);
        }
        if (this.i.disconnectedCallback) {
            this.i.disconnectedCallback();
        }
        if (this._attached) {
            this._attached = false;
        }
    };
    Object.defineProperty(IgcSummaryRowRootComponent, "observedAttributes", {
        get: function () {
            if (IgcSummaryRowRootComponent._observedAttributesIgcSummaryRowRootComponent == null) {
                var names = getAllPropertyNames(IgcSummaryRowRootComponent);
                for (var i = 0; i < names.length; i++) {
                    names[i] = toSpinal(names[i]);
                }
                IgcSummaryRowRootComponent._observedAttributesIgcSummaryRowRootComponent = names;
            }
            return IgcSummaryRowRootComponent._observedAttributesIgcSummaryRowRootComponent;
        },
        enumerable: false,
        configurable: true
    });
    IgcSummaryRowRootComponent.register = function () {
        if (!IgcSummaryRowRootComponent._isElementRegistered) {
            IgcSummaryRowRootComponent._isElementRegistered = true;
            RegisterElementHelper.registerElement(IgcSummaryRowRootComponent.htmlTagName, IgcSummaryRowRootComponent);
        }
    };
    IgcSummaryRowRootComponent._observedAttributesIgcSummaryRowRootComponent = null;
    IgcSummaryRowRootComponent.htmlTagName = "igc-summary-row-root";
    IgcSummaryRowRootComponent._isElementRegistered = false;
    return IgcSummaryRowRootComponent;
}(IgcSummaryRowComponent));
export { IgcSummaryRowRootComponent };
