import { __extends } from "tslib";
import { IgcSummaryRowComponent } from "./igc-summary-row-component";
import { SummaryRowSection } from "./SummaryRowSection";
import { getAllPropertyNames, toSpinal } from "igniteui-webcomponents-core";
import { RegisterElementHelper } from "igniteui-webcomponents-core";
var IgcSummaryRowSectionComponent = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(IgcSummaryRowSectionComponent, _super);
    function IgcSummaryRowSectionComponent() {
        return _super.call(this) || this;
    }
    IgcSummaryRowSectionComponent.prototype.createImplementation = function () {
        return new SummaryRowSection();
    };
    Object.defineProperty(IgcSummaryRowSectionComponent.prototype, "i", {
        /**
                                     * @hidden
                                     */
        get: function () {
            return this._implementation;
        },
        enumerable: false,
        configurable: true
    });
    IgcSummaryRowSectionComponent.prototype.connectedCallback = function () {
        if (_super.prototype["connectedCallback"]) {
            _super.prototype["connectedCallback"].call(this);
        }
        if (this.i.connectedCallback) {
            this.i.connectedCallback();
        }
        if (!this._attached) {
            this._attached = true;
            this._flushQueuedAttributes();
        }
    };
    IgcSummaryRowSectionComponent.prototype.disconnectedCallback = function () {
        if (_super.prototype["disconnectedCallback"]) {
            _super.prototype["disconnectedCallback"].call(this);
        }
        if (this.i.disconnectedCallback) {
            this.i.disconnectedCallback();
        }
        if (this._attached) {
            this._attached = false;
        }
    };
    Object.defineProperty(IgcSummaryRowSectionComponent, "observedAttributes", {
        get: function () {
            if (IgcSummaryRowSectionComponent._observedAttributesIgcSummaryRowSectionComponent == null) {
                var names = getAllPropertyNames(IgcSummaryRowSectionComponent);
                for (var i = 0; i < names.length; i++) {
                    names[i] = toSpinal(names[i]);
                }
                IgcSummaryRowSectionComponent._observedAttributesIgcSummaryRowSectionComponent = names;
            }
            return IgcSummaryRowSectionComponent._observedAttributesIgcSummaryRowSectionComponent;
        },
        enumerable: false,
        configurable: true
    });
    IgcSummaryRowSectionComponent.register = function () {
        if (!IgcSummaryRowSectionComponent._isElementRegistered) {
            IgcSummaryRowSectionComponent._isElementRegistered = true;
            RegisterElementHelper.registerElement(IgcSummaryRowSectionComponent.htmlTagName, IgcSummaryRowSectionComponent);
        }
    };
    IgcSummaryRowSectionComponent._observedAttributesIgcSummaryRowSectionComponent = null;
    IgcSummaryRowSectionComponent.htmlTagName = "igc-summary-row-section";
    IgcSummaryRowSectionComponent._isElementRegistered = false;
    return IgcSummaryRowSectionComponent;
}(IgcSummaryRowComponent));
export { IgcSummaryRowSectionComponent };
