import { ColumnExchanger as ColumnExchanger_internal } from "./ColumnExchanger";
/**
 * Indicates a column that should be exchanged with another.
*/
export declare class IgcColumnExchanger {
    protected createImplementation(): ColumnExchanger_internal;
    protected _implementation: any;
    /**
     * @hidden
     */
    get i(): ColumnExchanger_internal;
    private onImplementationCreated;
    constructor();
    protected _provideImplementation(i: any): void;
    /**
     * The desired location of the new column
    */
    get targetIndex(): number;
    set targetIndex(v: number);
    findByName(name: string): any;
}
