import { IgcDefinitionBaseComponent } from "./igc-definition-base-component";
import { ColumnMovingSeparator } from "./ColumnMovingSeparator";
export declare class IgcColumnMovingSeparatorComponent extends IgcDefinitionBaseComponent {
    protected createImplementation(): ColumnMovingSeparator;
    /**
                                 * @hidden
                                 */
    get i(): ColumnMovingSeparator;
    constructor();
    connectedCallback(): void;
    disconnectedCallback(): void;
    private static _observedAttributesIgcColumnMovingSeparatorComponent;
    static get observedAttributes(): string[];
    static htmlTagName: string;
    protected static _isElementRegistered: boolean;
    static register(): void;
    /**
     * Gets or sets the separator width for this column.
    */
    get separatorWidth(): number;
    set separatorWidth(v: number);
    get actualOpacity(): number;
    set actualOpacity(v: number);
    get opacity(): number;
    set opacity(v: number);
}
