import { IgcDataGridColumnComponent } from "./igc-data-grid-column-component";
import { PinnedPositions } from "./PinnedPositions";
import { ColumnPinnedChangedEventArgs as ColumnPinnedChangedEventArgs_internal } from "./ColumnPinnedChangedEventArgs";
/**
 * Event arguments for the ColumnPinnedChanged event.
*/
export declare class IgcColumnPinnedChangedEventArgs {
    protected createImplementation(): ColumnPinnedChangedEventArgs_internal;
    protected _implementation: any;
    /**
     * @hidden
     */
    get i(): ColumnPinnedChangedEventArgs_internal;
    private onImplementationCreated;
    constructor();
    protected _provideImplementation(i: any): void;
    /**
     * The column whose pinned state has changed.
    */
    get column(): IgcDataGridColumnComponent;
    set column(v: IgcDataGridColumnComponent);
    /**
     * The new pinned state for the column.
    */
    get pinned(): PinnedPositions;
    set pinned(v: PinnedPositions);
}
