import { IgcCellInfo } from './igc-cell-info';
import { DataBindingEventArgs as DataBindingEventArgs_internal } from "./DataBindingEventArgs";
/**
 * Information about the data binding taking place.
*/
export declare class IgcDataBindingEventArgs {
    protected createImplementation(): DataBindingEventArgs_internal;
    protected _implementation: any;
    get i(): DataBindingEventArgs_internal;
    private onImplementationCreated;
    constructor();
    protected _provideImplementation(i: any): void;
    /**
     * The backing information for the current cell.
    */
    get cellInfo(): IgcCellInfo;
    /**
 * The resolved value for the cell.
*/
    get resolvedValue(): any;
    set resolvedValue(v: any);
    /**
     * The data for the row in which the cell is contained.
    */
    get rowObject(): any;
    set rowObject(v: any);
}
