import { IgcDefinitionBaseComponent } from "./igc-definition-base-component";
import { EditRowDefinition } from "./EditRowDefinition";
/**
 * Represents a base class used to configure the appearance of the column header cells.
*/
export declare class IgcEditRowDefinitionComponent extends IgcDefinitionBaseComponent {
    protected createImplementation(): EditRowDefinition;
    /**
                                 * @hidden
                                 */
    get i(): EditRowDefinition;
    constructor();
    connectedCallback(): void;
    disconnectedCallback(): void;
    private static _observedAttributesIgcEditRowDefinitionComponent;
    static get observedAttributes(): string[];
    static htmlTagName: string;
    protected static _isElementRegistered: boolean;
    static register(): void;
}
