import { FormatSummaryTextEventArgs as FormatSummaryTextEventArgs_internal } from "./FormatSummaryTextEventArgs";
export declare class IgcFormatSummaryTextEventArgs {
    protected createImplementation(): FormatSummaryTextEventArgs_internal;
    protected _implementation: any;
    /**
     * @hidden
     */
    get i(): FormatSummaryTextEventArgs_internal;
    private onImplementationCreated;
    constructor();
    protected _provideImplementation(i: any): void;
    /**
     * Gets the summary property name.
    */
    get field(): string;
    set field(v: string);
    /**
     * Gets the summary display name.
    */
    get displayName(): string;
    set displayName(v: string);
    /**
     * Gets the original value before formatting.
    */
    get summaryResult(): any;
    set summaryResult(v: any);
    /**
     * Gets or sets the summary value as formatted text.  Setting this property will only affect summary cells.
    */
    get formattedResult(): string;
    set formattedResult(v: string);
    /**
     * Gets or sets the final text that will be displayed in the group header.
    */
    get formattedText(): string;
    set formattedText(v: string);
}
