import { IgcDataGridColumnComponent } from "./igc-data-grid-column-component";
import { GridCellEditStartedEventArgs as GridCellEditStartedEventArgs_internal } from "./GridCellEditStartedEventArgs";
export declare class IgcGridCellEditStartedEventArgs {
    protected createImplementation(): GridCellEditStartedEventArgs_internal;
    protected _implementation: any;
    /**
     * @hidden
     */
    get i(): GridCellEditStartedEventArgs_internal;
    private onImplementationCreated;
    constructor();
    protected _provideImplementation(i: any): void;
    /**
     * Gets the column of the cell that started editing.
    */
    get column(): IgcDataGridColumnComponent;
    set column(v: IgcDataGridColumnComponent);
    /**
     * Gets the row index of the cell that started editing.
    */
    get row(): number;
    set row(v: number);
    /**
     * Gets the row item.
    */
    get item(): any;
    set item(v: any);
}
