import { GridColumnButtonOptions } from "./GridColumnButtonOptions";
import { IgcGridColumnOptionsSectionBaseComponent } from "./igc-grid-column-options-section-base-component";
import { IgcApplyButtonClickEventArgs } from './igc-apply-button-click-event-args';
import { IgcCancelButtonClickEventArgs } from './igc-cancel-button-click-event-args';
export declare class IgcGridColumnButtonOptionsComponent extends IgcGridColumnOptionsSectionBaseComponent {
    private _height;
    private _width;
    set height(value: string);
    get height(): string;
    set width(value: string);
    get width(): string;
    private _webComponentWrapper;
    private _webComponentRenderer;
    constructor();
    updateStyle(): void;
    destroy(): void;
    protected createImplementation(): GridColumnButtonOptions;
    get i(): GridColumnButtonOptions;
    private _disconnected;
    disconnectedCallback(): void;
    connectedCallback(): void;
    afterContentInit(): void;
    private static _observedAttributesIgcGridColumnButtonOptionsComponent;
    static get observedAttributes(): string[];
    static htmlTagName: string;
    protected static _isElementRegistered: boolean;
    static register(): void;
    get applyButtonCaption(): string;
    set applyButtonCaption(v: string);
    get cancelButtonCaption(): string;
    set cancelButtonCaption(v: string);
    private _applyButtonClick;
    private _applyButtonClick_wrapped;
    get applyButtonClick(): (s: IgcGridColumnButtonOptionsComponent, e: IgcApplyButtonClickEventArgs) => void;
    set applyButtonClick(ev: (s: IgcGridColumnButtonOptionsComponent, e: IgcApplyButtonClickEventArgs) => void);
    private _cancelButtonClick;
    private _cancelButtonClick_wrapped;
    get cancelButtonClick(): (s: IgcGridColumnButtonOptionsComponent, e: IgcCancelButtonClickEventArgs) => void;
    set cancelButtonClick(ev: (s: IgcGridColumnButtonOptionsComponent, e: IgcCancelButtonClickEventArgs) => void);
}
