import { GridColumnSummaryOptions } from "./GridColumnSummaryOptions";
import { IgcGridColumnOptionsSectionBaseComponent } from "./igc-grid-column-options-section-base-component";
import { ControlDisplayDensity } from "igniteui-webcomponents-core";
export declare class IgcGridColumnSummaryOptionsComponent extends IgcGridColumnOptionsSectionBaseComponent {
    private _height;
    private _width;
    set height(value: string);
    get height(): string;
    set width(value: string);
    get width(): string;
    private _webComponentWrapper;
    private _webComponentRenderer;
    private _portalManager;
    constructor();
    updateStyle(): void;
    destroy(): void;
    protected createImplementation(): GridColumnSummaryOptions;
    get i(): GridColumnSummaryOptions;
    private _disconnected;
    disconnectedCallback(): void;
    connectedCallback(): void;
    afterContentInit(): void;
    private static _observedAttributesIgcGridColumnSummaryOptionsComponent;
    static get observedAttributes(): string[];
    static htmlTagName: string;
    protected static _isElementRegistered: boolean;
    static register(): void;
    /**
 * Gets or sets the text inside the summary button.
*/
    get summaryCaption(): string;
    set summaryCaption(v: string);
    /**
     * Gets or sets the display density used for the summary list.
    */
    get summaryListDensity(): ControlDisplayDensity;
    set summaryListDensity(v: ControlDisplayDensity);
    /**
     * Gets the actual display density used for the summary list.
    */
    get actualSummaryListDensity(): ControlDisplayDensity;
    set actualSummaryListDensity(v: ControlDisplayDensity);
    get activeCount(): number;
    set activeCount(v: number);
    get summaryListTextColor(): string;
    set summaryListTextColor(v: string);
    get summaryListBackground(): string;
    set summaryListBackground(v: string);
    onApply(): void;
    onCancel(): void;
    closeMenu(): void;
}
