import { IgcDataGridColumnComponent } from "./igc-data-grid-column-component";
import { IgcFilterOperand } from "./igc-filter-operand";
import { GridCustomFilterRequestedEventArgs as GridCustomFilterRequestedEventArgs_internal } from "./GridCustomFilterRequestedEventArgs";
import { IFilterExpression } from "igniteui-webcomponents-core";
import { FilterFactory } from "igniteui-webcomponents-core";
export declare class IgcGridCustomFilterRequestedEventArgs {
    protected createImplementation(): GridCustomFilterRequestedEventArgs_internal;
    protected _implementation: any;
    /**
     * @hidden
     */
    get i(): GridCustomFilterRequestedEventArgs_internal;
    private onImplementationCreated;
    constructor();
    protected _provideImplementation(i: any): void;
    /**
     * The column that requested the filter.
    */
    get column(): IgcDataGridColumnComponent;
    set column(v: IgcDataGridColumnComponent);
    /**
     * The custom filter that was chosen.
    */
    get filter(): IgcFilterOperand;
    set filter(v: IgcFilterOperand);
    /**
     * The value that was provided in the editor for the filter.
    */
    get value(): any;
    set value(v: any);
    /**
     * Sets the filter expression to be used.
    */
    get expression(): IFilterExpression;
    set expression(v: IFilterExpression);
    /**
     * Gets the filter factory.
    */
    get filterFactory(): FilterFactory;
}
