import { GridDataCommittingEventArgs as GridDataCommittingEventArgs_internal } from "./GridDataCommittingEventArgs";
import { DataSourceAggregatedResult } from "igniteui-webcomponents-core";
/**
 * Event arguments for the DataCommitting event.
*/
export declare class IgcGridDataCommittingEventArgs {
    protected _implementation: any;
    /**
     * @hidden
     */
    get i(): GridDataCommittingEventArgs_internal;
    private onImplementationCreated;
    constructor();
    protected _provideImplementation(i: any): void;
    /**
     * Gets a list of changes that are about to be committed.
    */
    get changes(): DataSourceAggregatedResult[];
    set changes(v: DataSourceAggregatedResult[]);
    /**
     * The ID for the commit. Use this as the argument for the AcceptCommit or RejectCommit methods.
    */
    get commitID(): number;
    set commitID(v: number);
}
