import { IgcGridSelectedItemsCollection } from "./igc-grid-selected-items-collection";
import { GridSelectedItemsChangedEventArgs as GridSelectedItemsChangedEventArgs_internal } from "./GridSelectedItemsChangedEventArgs";
/**
 * Information about the changing selected items in the grid.
*/
export declare class IgcGridSelectedItemsChangedEventArgs {
    protected createImplementation(): GridSelectedItemsChangedEventArgs_internal;
    protected _implementation: any;
    /**
     * @hidden
     */
    get i(): GridSelectedItemsChangedEventArgs_internal;
    private onImplementationCreated;
    constructor();
    protected _provideImplementation(i: any): void;
    private _currentItems;
    /**
     * The items added to the selection.
    */
    get currentItems(): IgcGridSelectedItemsCollection;
    set currentItems(v: IgcGridSelectedItemsCollection);
    private _addedItems;
    /**
     * The items added to the selection.
    */
    get addedItems(): IgcGridSelectedItemsCollection;
    set addedItems(v: IgcGridSelectedItemsCollection);
    private _removedItems;
    /**
     * The items removed from the selection.
    */
    get removedItems(): IgcGridSelectedItemsCollection;
    set removedItems(v: IgcGridSelectedItemsCollection);
}
