import { SummaryChangedEventArgs as SummaryChangedEventArgs_internal } from "./SummaryChangedEventArgs";
/**
 * Event args for the SummaryChanged event.
*/
export declare class IgcSummaryChangedEventArgs {
    protected createImplementation(): SummaryChangedEventArgs_internal;
    protected _implementation: any;
    /**
     * @hidden
     */
    get i(): SummaryChangedEventArgs_internal;
    private onImplementationCreated;
    constructor();
    protected _provideImplementation(i: any): void;
    /**
     * Gets the unique ID for the changed summary.
    */
    get iD(): string;
    set iD(v: string);
    /**
     * Gets the current state of the changed summary.
    */
    get isEnabled(): boolean;
    set isEnabled(v: boolean);
}
