import { IgcCellInfo } from "./igc-cell-info";
import { TextCellModel as TextCellModel_internal } from "./TextCellModel";
/**
 * Backing information for a text cell in the grid.
*/
export declare class IgcTextCellInfo extends IgcCellInfo {
    protected createImplementation(): TextCellModel_internal;
    /**
                                 * @hidden
                                 */
    get i(): TextCellModel_internal;
    constructor();
    /**
     * Sets or gets the text value for the cell.
    */
    get textValue(): string;
    set textValue(v: string);
}
